#!/bin/bash


if [ $# -lt 1 ]
then
  echo "Must supply a directory path/name for us to dump config files"
  echo "we will create it if it does not exist"
  exit 1
fi

dpath=$1
HOST=`uname -n`
mkdir -p $dpath

DATE=`date +"%d_%h_%y"`

(
hostname
df -k 
) > $dpath/FilesystemConfig.$DATE.$HOST

(
hostname
lslpp -l 
) > $dpath/SoftwareConfig.$DATE.$HOST


(
hostname
echo "All defined  volumes"
lsvg 
echo "All active  volumes"
lsvg -o 
) > $dpath/Volume_Group_List.$DATE.$HOST

(
hostname 
lspv
) > $dpath/Physical_Volume_List.$DATE.$HOST

hostname > $dpath/Volume_Group_Pdisk_list.$DATE.$HOST

lsvg -o | while read a
do
lsvg -l $a >> $dpath/Volume_Group_Member_list.$DATE.$HOST
lsvg -p $a >> $dpath/Volume_Group_Pdisk_list.$DATE.$HOST
done


egrep -v ":|LV NAME" $dpath/Volume_Group_Member_list.$DATE.$HOST | awk '{print $1}' | while read a
do
echo =====
lslv  $a
echo 
done > $dpath/Volume_Detail.$DATE.$HOST


(
hostname
echo "## lsattr -El on all devices"
echo "##"
lsdev -C | awk '{ print $1}' | while read a
do
echo ====== DEVICE  $a ============
lsattr -El $a
echo
done 
) > $dpath/DeviceConfig.$DATE.$HOST

(
hostname
echo "##prtconf "
prtconf
echo "##"
echo "##lsconf -v"
lsconf -v 
echo "##"
echo "##lscfg -p"
lscfg -p
echo "##" 
) > $dpath/HardwareConfig.$DATE.$HOST

(
hostname
echo "## lsatt -El sys0"
lsattr -El sys0
echo "## vmo -a "
vmo -a 
echo "## "
echo "## ioo -a"
ioo -a
echo "## "
echo "## no -a"
no -a 
echo "## " 
) > $dpath/Tunables.$DATE.$HOST
