#!/bin/bash

#purpose: 
#The timing interval, QI(i,s), for the execution of the query, Qi, within the query stream, s, must be measured
#between:
#	The time when the first character of the executable query text is submitted to the SUT by the driver;
#	The time when the first character of the next executable query text is submitted to the SUT by the driver,
#	except for the last query of the set for which it is the time when the last character of the query's 
#	output data is received by the driver from the SUT.

if [ -z "$1" ]
then
  echo "usage:  $0  STREAM_NUMBER"
  echo ""
  exit
fi

STREAM_NUMBER=$1

#added by chris yang 9.30 for debug usage
#echo "results is $RESULTS, Stream_number is $STREAM_NUMBER"
#end added

grep "START" $RESULTS/stream${STREAM_NUMBER}.out |grep Query|grep -v date >$TEMPFILES/stream${STREAM_NUMBER}starttimes.out

#added by chris yang 9.30 for debug usage
#if [ -f $TEMPFILES/stream${STREAM_NUMBER}starttimes.out ]
#then
#	echo "$TEMPFILES/stream${STREAM_NUMBER}starttimes.out  is existing ........................."
#fi
#end added

rm -f $TEMPFILES/stream${STREAM_NUMBER}_elapsed_times.out

first_query=1
while read line
do
        if [ $first_query -eq 1 ]
        then
                query=`echo $line|tr -s ' '|cut -d ' ' -f 4`
                qstart1=`echo $line|tr -s ' '|cut -d ' ' -f 8-|sed -e "s/;/:/g"`
                qstart1_date=`echo $qstart1|cut -d '.' -f1`
                qstart1_secs=`secs_since_epoch.pl "$qstart1_date"`
                qstart1_millis=`echo $qstart1|cut -d '.' -f2`
                qstart1=$qstart1_secs.$qstart1_millis
                first_query=0
        else
                qstart2=`echo $line|tr -s ' '|cut -d ' ' -f 8-|sed -e "s/;/:/g"`
                qstart2_date=`echo $qstart2|cut -d '.' -f1`
                qstart2_secs=`secs_since_epoch.pl "$qstart2_date"`
                qstart2_millis=`echo $qstart2|cut -d '.' -f2`
                qstart2=$qstart2_secs.$qstart2_millis
                #echo $qstart2 $qstart1
		elapsed_time=$(echo "$qstart2 - $qstart1"|bc)
                echo "Query $query Elapsed time: $elapsed_time">>$TEMPFILES/stream${STREAM_NUMBER}_elapsed_times.out
                query=`echo $line|tr -s ' '|cut -d ' ' -f 4`
                qstart1=$qstart2
        fi

done < $TEMPFILES/stream${STREAM_NUMBER}starttimes.out
last_query_string=`grep "Elapsed time" $RESULTS/stream${STREAM_NUMBER}.out|grep -v Stream|grep -v date|tail -1`
last_query=`echo $last_query_string|tr -s ' '|cut -d ',' -f2|cut -d 'q' -f2`
last_query_elapsed_time=`echo $last_query_string|tr -s ' '|cut -d ' ' -f3`
#adjust the time to 3 digits in decimal place.
i=$(echo "$last_query_elapsed_time * 1000"|bc)
last_query_elapsed_time=$(echo "scale=3;$i / 1000.0"|bc)
echo "Query $last_query Elapsed time: $last_query_elapsed_time">>$TEMPFILES/stream${STREAM_NUMBER}_elapsed_times.out


