#!/bin/bash

if [ -z "$1" -o -z "$2" ]
then
  echo 
  echo " Usage:  $0  num_streams with_rf "
  echo 
  echo "      - returns ending time for the last throughput stream to finish"
  echo 
  exit
fi

ns=$1
with_rf=$2

# set string to "stream1.out stream2.out ... stream$ns.out"
# create a file of completion times of the query streams

rm -f $TEMPFILES/completion_times
for i in `seq 1 $STREAM_COUNT`
do
	grep 'Stream STOP' $RESULTS/stream${i}.out | grep -v ^[0-9]*">" | grep -v dateformat\
		| tr -d "'" | cut -d',' -f 2 >> $TEMPFILES/completion_times 
done
if [ $with_rf -ne 0 ]
then
	# append the largest completion time of the refresh streams to the file
	grep 'Stream STOP' $RESULTS/update_throughput.out | grep -v dateformat | tr -d "'" |  \
                                   cut -d',' -f 2 >> $TEMPFILES/completion_times
fi

# return the latest time
sort $TEMPFILES/completion_times > $TEMPFILES/ascending_times

max=`tail -1 $TEMPFILES/ascending_times`     # get the highest time
echo $max  


