#!/bin/bash

if [ -z "$2" ]
then
        echo "Usage: extract_query_text_result <SCOPE><run_number>[STREAM_COUNT]"
        echo ""
        echo " Usage Example 1:    extract_query_text_result all"
        echo ""
        exit 1
fi

scope=$1
run_number=$2
if [ ! -z "$3" ]
then
	STREAM_COUNT=$3
fi

if [ $scope = all -o $scope = perf  ]
then
	start_stream=0
	end_stream=$STREAM_COUNT
	total_streams=`expr $STREAM_COUNT + 1 `
fi

if [ $scope = power ]
then
	start_stream=0
	end_stream=0
	total_streams=1
fi

if [ $scope = throughput ]
then
	start_stream=1
	end_stream=$STREAM_COUNT
	total_streams=$STREAM_COUNT
fi
for i in `seq $start_stream $end_stream`
do
	grep 'Stream' $RESULTS/stream${i}.out|grep Query|grep -v date>$TEMPFILES/tempquerytimes${i}
	grep 'Elapsed time,q' $RESULTS/stream${i}.out|grep -v date>>$TEMPFILES/tempquerytimes${i}
	extract_query_text_result_single_stream.pl $i $run_number &
done
wait
for i in `seq $start_stream $end_stream`
do 
	rm $TEMPFILES/tempquerytimes${i}
done
