#!/bin/bash

if [ -z "$1" ]
then
        echo "Usage: extract_query_text_result_single_stream.sh <STREAM_NUMBER>"
        echo ""
        exit 1
fi

STREAM_NUMBER=$1

in_query_result=0
in_query_text=0
rm -f $TEMPFILES/tempresults${STREAM_NUMBER}
rm -f $TEMPFILES/tempquerytimes${STREAM_NUMBER}

grep 'Stream' $RESULTS/stream${STREAM_NUMBER}.out|grep Query|grep -v date>$TEMPFILES/tempquerytimes${STREAM_NUMBER}
grep 'Elapsed time,q' $RESULTS/stream${STREAM_NUMBER}.out|grep -v date>>$TEMPFILES/tempquerytimes${STREAM_NUMBER}

while read line
do

	if [ $in_query_text -eq 1 ]
	then
		is_end_of_query_text=`echo $line | grep ^[0-9]*">" `
		if [ ! -z "$is_end_of_query_text" ]
		then
			echo "$line" >> $RESULTS/m${run_number}s${STREAM_NUMBER}q${querynumber}
		else
			in_query_text=0
			in_query_result=1
			echo ''>> $RESULTS/m${run_number}s${STREAM_NUMBER}q${querynumber}
			echo ''>> $RESULTS/m${run_number}s${STREAM_NUMBER}q${querynumber}
			echo ''>> $RESULTS/m${run_number}s${STREAM_NUMBER}q${querynumber}
			echo "Query Result" >> $RESULTS/m${run_number}s${STREAM_NUMBER}q${querynumber}
			echo "------------">> $RESULTS/m${run_number}s${STREAM_NUMBER}q${querynumber}
			echo ''>> $RESULTS/m${run_number}s${STREAM_NUMBER}q${querynumber}
			echo ''>> $RESULTS/m${run_number}s${STREAM_NUMBER}q${querynumber}
			
			echo "$line" >$TEMPFILES/tempresults${STREAM_NUMBER}
		fi
	elif [ $in_query_result -eq 1 ]
	then
		is_end_of_query_result=`echo $line | grep "Query Ends"`
		if [ ! -z "$is_end_of_query_result" ]
		then
			in_query_result=0
			lines_in_query_result=`cat $TEMPFILES/tempresults${STREAM_NUMBER}|wc -l`

######The below if condition is for truncating the result if it is more than 200 lines###############################
			if [ $lines_in_query_result -gt 200 ]
			then
				head -100 $TEMPFILES/tempresults${STREAM_NUMBER} >> $RESULTS/m${run_number}s${STREAM_NUMBER}q${querynumber}
				echo "-----------------------------------------------" >> $RESULTS/m${run_number}s${STREAM_NUMBER}q${querynumber}
				echo "Result truncated here " >> $RESULTS/m${run_number}s${STREAM_NUMBER}q${querynumber}
				echo "-----------------------------------------------" >> $RESULTS/m${run_number}s${STREAM_NUMBER}q${querynumber}
				
				tail -100 $TEMPFILES/tempresults${STREAM_NUMBER} >> $RESULTS/m${run_number}s${STREAM_NUMBER}q${querynumber}
			else
				cat $TEMPFILES/tempresults${STREAM_NUMBER} >> $RESULTS/m${run_number}s${STREAM_NUMBER}q${querynumber}	
			fi
######Truncation of the result if >200 ends##########################################################################
			#To move the file into FILE.#date format.
			mv $RESULTS/m${run_number}s${STREAM_NUMBER}q${querynumber} $RESULTS/m${run_number}s${STREAM_NUMBER}q${querynumber}.`date '+%y%m%d_%H%M%S'`
		else
			echo "$line" >> $TEMPFILES/tempresults${STREAM_NUMBER}
		fi
			
	else
		is_query_start_line=`echo $line | grep Query| grep Starts`
		if [ ! -z "$is_query_start_line" ]
		then
			querynumber=`echo $line | cut -d ' ' -f3 |cut -d 'y' -f2`
			query_number_without_zero=` expr $querynumber / 1 `
			querystring=`echo "Query ${query_number_without_zero} "`
			query_start_time=`grep "$querystring" $TEMPFILES/tempquerytimes${STREAM_NUMBER}|grep START \
				|tr -s ' '|cut -d ' ' -f9-`
			query_end_time=`grep "$querystring" $TEMPFILES/tempquerytimes${STREAM_NUMBER}|grep STOP \
				|tr -s ' ' |cut -d ' ' -f9-`
			querystring=`echo "Elapsed time,q${query_number_without_zero},"`
			query_elapsed_time=`grep "$querystring" $TEMPFILES/tempquerytimes${STREAM_NUMBER}|tr -s ' '|cut -d ' ' -f4-`

			echo "Query Start Time:	$query_start_time">$RESULTS/m${run_number}s${STREAM_NUMBER}q${querynumber}
			echo "Query Stop Time:	 $query_end_time">>$RESULTS/m${run_number}s${STREAM_NUMBER}q${querynumber}
			echo "Query Elapsed Time:	 $query_elapsed_time">>$RESULTS/m${run_number}s${STREAM_NUMBER}q${querynumber}
			echo "Stream Number:		 ${STREAM_NUMBER}">>$RESULTS/m${run_number}s${STREAM_NUMBER}q${querynumber}
			echo >> $RESULTS/m${run_number}s${STREAM_NUMBER}q${querynumber}
			echo >> $RESULTS/m${run_number}s${STREAM_NUMBER}q${querynumber}
			echo "Query Text">>$RESULTS/m${run_number}s${STREAM_NUMBER}q${querynumber}
			echo "----------">>$RESULTS/m${run_number}s${STREAM_NUMBER}q${querynumber}
			in_query_text=1

		fi
	fi	
done < $RESULTS/stream${STREAM_NUMBER}.out

