#!/bin/bash

if [ -z "$1" ]
then
        echo "Usage: extract_query_times <SCOPE><run_number>[STREAM_COUNT]"
        echo ""
        echo " Usage Example 1:    extract_query_times all 1"
        echo ""
        exit 1
fi

scope=$1
run_number=$2
if [ ! -z "$3" ]
then
	STREAM_COUNT=$3
fi


if [ $scope = power -o $scope = all  ]
then	
	current_rf=1 #either in RF1 or in RF2.	=0 if not in RF.

	choice=1
	while read line
	do
                case $choice in
                        0)
				in_rf=`echo $line|grep 'RF2'`
                        	if [ ! -z "$in_rf" ]
                        	then
                                	choice=2
                                	echo "$line" > $RESULTS/m${run_number}s00rf2
                        	fi;;

                        1)
				out_of_rf=`echo $line | grep 'WAITING'`
				if [ ! -z "$out_of_rf" ]
				then
					choice=0
				else
					echo "$line" >> $RESULTS/m${run_number}s00rf1
				fi;;
                        2)
				echo "$line" >> $RESULTS/m${run_number}s00rf2;;
                esac
	done <$RESULTS/update_power.out
	mv $RESULTS/m${run_number}s00rf2 $RESULTS/m${run_number}s00rf2.`date '+%y%m%d_%H%M%S'`
	mv $RESULTS/m${run_number}s00rf1 $RESULTS/m${run_number}s00rf1.`date '+%y%m%d_%H%M%S'`

fi

if [ $scope = throughput -o $scope = all  ]
then
	choice=0
	while read line
	do
		#$choice=	0 - not in stream
		#	 	1 - in RF1
		#		2 - in RF2
		case $choice in 
			0)	
				stream_started=`echo $line |grep 'Throughput Stream'|grep 'starts'`
				if [ ! -z "$stream_started" ]
				then
					stream_number=`echo $line |tr -s ' ' |cut -d ' ' -f2|cut -d 'm' -f2` 
					char_count=`echo $stream_number|wc -m`
					if [ $char_count -lt 3 ]
					then
						stream_number="0$stream_number"
					fi
					choice=1
				fi;;
			1)
				rf2_started=`echo $line |grep 'RF2'`
				if [ ! -z "$rf2_started" ]
				then
					choice=2
					echo "$line">$RESULTS/m${run_number}s${stream_number}rf2
				else
					echo "$line">>$RESULTS/m${run_number}s${stream_number}rf1
				fi;;
			2)
				stream_ended=`echo $line |grep 'Throughput Stream'|grep 'ends'`
				if [ ! -z "$stream_ended" ]
				then
					choice=0
					mv $RESULTS/m${run_number}s${stream_number}rf2 \
						$RESULTS/m${run_number}s${stream_number}rf2.`date '+%y%m%d_%H%M%S'`
					mv $RESULTS/m${run_number}s${stream_number}rf1 \
						$RESULTS/m${run_number}s${stream_number}rf1.`date '+%y%m%d_%H%M%S'`
				else
					echo "$line">>$RESULTS/m${run_number}s${stream_number}rf2	
				fi;;
		esac

	done < $RESULTS/update_throughput.out


fi
