#!/bin/bash

#===================================================================
# File: secs2dhms.sh 
# Purpose: Converts time in secs to days:hrs:mins:secs format
#===================================================================

if [ -z "$1" ]
then
  echo ""
  echo "Usage:  $0  time_in_secs"
  echo ""
  echo '           - converts "secs" to "days:hrs:mins:secs'
  echo " " 
  exit
fi


data=$1  # input time in secs

days=$(echo "($data/86400)"|bc)
remsecs=$(echo "($data%86400)"|bc)

hours=$(echo "($remsecs/3600)"|bc)
remsecs=$(echo "($remsecs%3600)"|bc)

mins=$(echo "($remsecs/60)"|bc)
remsecs=$(echo "($remsecs%60)"|bc)

secs=$remsecs

if [ $days -gt 1 ]
then
	echo -e "${days}days\c"
	colon=:
elif [ $days -eq 1 ]
then
	echo -e "${days}day\c"
	colon=:
else
	colon=
fi

if [ $hours -gt 1 ]
then
	echo -e "$colon${hours}hrs\c"
	colon=:
elif [ $hours -eq 1 ]
then
	echo -e "$colon${hours}hr\c"
	colon=:
else
	if [ -z "$colon" ]
	then
		colon=
	fi
fi

if [ $mins -gt 1 ]
then
	echo -e "$colon${mins}mins\c"
	colon=:
elif [ $mins -eq 1 ]
then
	echo -e "$colon${mins}min\c"
	colon=:
else
	if [ -z "$colon" ]
	then
		colon=
	fi
fi

if [ $secs -gt 1 ]
then
	echo -e "$colon${secs}secs"
elif [ $secs -eq 1 ]
then
	echo -e "$colon${secs}sec"
else
	echo ""    # writes out newline
fi
