#!/usr/bin/perl

#===========================================================================
# Filename: secs_since_epoch.pl
# Purpose: Computes the time in seconds since epoch for a given timestamp 
#          in the form of yyyy-mm-dd hh:mm:ss  using Time::Local perl module.
#
# The Sybase-IQ TPC-H kit uses this timestamp format
#===========================================================================

use Time::Local;

our $ARGC = @ARGV ;

if ( $ARGC < 1 )  
{
	print "\n";
	print 'Usage:  $0  <time_stamp in "yyyy-mm-dd hh:mm:ss" format> \n';
	print " \n";
	exit;
}

# Take the first argument in $_
$_=$ARGV[0];     

#print "$_     [debug  secs_since_epoch.pl]\n";
s/-/:/g;
s/ /:/; 
#print "$_     [debug  secs_since_epoch.pl]\n";

@fields=split(/:/,$_);   # separates $_ using : as delimiter

$yr   = $fields[0]-1900;    # epoch begins at 1900
$mon  = $fields[1]-1;       # months go from 0-11
$day  = $fields[2];         # days go from 1-31
$hr   = $fields[3];         # hours go from 0-23
$min  = $fields[4];         # mins  go from 0-59
$sec  = $fields[5];         # mins  go from 0-59

# print "$yr,$mon,$day,$hr,$min,$sec   [debug   secs_since_epoch.pl\n";
$time = timelocal($sec,$min,$hr,$day,$mon,$yr);
print "$time\n";
