#!/bin/bash

# called from tpch_report.sh

echo "show db time start `date`"
num_tables_to_load=`echo $LIST_OF_TABLES_TO_LOAD | wc -w`

# obtain the total load size (in bytes)
LOAD_FILE_LIST=""
for table in $LIST_OF_TABLES_TO_LOAD_OTHER
do
	LOAD_FILE_LIST="$DATA_DIR2/$table.tbl* $LOAD_FILE_LIST"
done

#echo $LOAD_FILE_LIST

LOAD_SIZE_MB=`du -Lcm $LOAD_FILE_LIST | tail -1 | awk '{print $1}'`

LOAD_FILE_LIST_LINEITEM=""
LOAD_FILE_LIST_LINEITEM="$DATA_DIR/lineitem.tbl*"
LOAD_SIZE_MB_LINEITEN=`du -Lcm $LOAD_FILE_LIST_LINEITEM | tail -1 | awk '{print $1}'`
LOAD_SIZE_MB=$[$LOAD_SIZE_MB + $LOAD_SIZE_MB_LINEITEN]
if [ -f $RESULTS/Load/load_timing.out ]
then

	load_test_start=`grep 'Start load_test' $RESULTS/Load/load_timing.out`
	slt=`echo $load_test_start | cut -d' ' -f 3,4 `

	load_test_end=`grep 'Finish load_test' $RESULTS/Load/load_timing.out`
	elt=`echo $load_test_end | cut -d' ' -f 3,4 `

	end_secs_from_epoch=`secs_since_epoch.pl "$elt"`

	start_secs_from_epoch=`secs_since_epoch.pl "$slt"`

	((lt=end_secs_from_epoch-start_secs_from_epoch))

	lt_dhms=`secs2dhms.sh $lt | sed -e 's/-e//g' | tr -d ' '`
	#numcores=`cat /proc/cpuinfo | grep processor | wc -l`
	numcores=`ps -L -eo user,pid,lwp,psr,policy,rtprio,nice,cputime,%cpu,command | grep iqsrv | grep $USER | grep -v grep | awk '{print $4}' | sort -u | wc -l`
	#per_core_rate=`perl -e "printf(\"%.2f\", $LOAD_SIZE_MB / $numcores / $lt)"`
        per_core_rate=`perl -e "printf(\"%.2f\", $LOAD_SIZE_MB_LINEITEN / $numcores / $lt)"`

	echo
	echo "----------------------------------------------------------------------------"
	echo "Start database load time                     $slt"
	echo 
	echo "End database load time                       $elt"
	echo 
	echo "Database Load Time                           $lt_dhms ($lt secs, $per_core_rate MB/s/core)"
	echo 
	echo "Database Load Size                           `expr $LOAD_SIZE_MB / 1024` GB"
	echo 
	echo "Number of CPUs available			   $numcores"
	echo 
	echo "Timing Breakup:"
	for table in $LIST_OF_TABLES_TO_LOAD
	do
		START_TIME=`grep "$table load started" $RESULTS/Load/load_timing.out | awk '{print $7}'`
		END_TIME=`grep "$table loaded" $RESULTS/Load/load_timing.out | awk '{print $6}'`
		echo "$table : `show_table_load_time.sh $START_TIME $END_TIME`"
	done

else
	echo 
 	echo "File $RESULTS/Load/load_timing.out not found."
	echo
fi

echo "show db time end `date`"
