#!/bin/bash

if (( $# < 2 ))
then
  echo 
  echo "usage:  $0  num_streams  with_rf"
  echo 
  echo "           - returns starting time for the first throughput stream to start"
  echo 
  exit
fi

ns=$1
with_rf=$2

# set string to "stream1.out stream2.out ... stream$ns.out"


# create a file of completion times of the query streams
rm -f $TEMPFILES/start_times

for i in `seq 1 $STREAM_COUNT`
do
	grep 'Stream START' $RESULTS/stream${i}.out \
		| grep -v ^[0-9]*">" | grep -v dateformat \
		| tr -d "'" |cut -d',' -f 2 >> $TEMPFILES/start_times
done

if [ $with_rf -ne 0 ]
then
	# append the largest completion time of the refresh streams to the file
	grep 'Stream START' $RESULTS/update_throughput.out | grep -v dateformat | tr -d "'" |  \
                                   cut -d',' -f 2 >> $TEMPFILES/start_times
fi

# return the latest time
sort $TEMPFILES/start_times > $TEMPFILES/ascending_times

min=`head -1 $TEMPFILES/ascending_times`     # get the highest time
echo $min  

