#!/bin/bash

# collects and calculates all performance-related numbers   
# as well as configuration info


if (( $# < 6 ))
then
  echo
  echo "usage:  $0  scope scale_factor with_rf run_name seed num_streams"
  echo 
  echo "           - calculates and displays tpch metrics from the .out files  "
  echo "             in the current dir                                        "
  echo
  exit
fi

scope=$1 


       sf=$2    # scale_factor
  with_rf=$3 
       rn=$4    # run_name
       sd=$5    # seed
       ns=$6    # num_streams


if [ $scope = all -o $scope = perf -o $scope = power ]
then
	echo 
	echo
	echo "Powertest Report"
	echo "----------------"
	echo
	tpch_power_test_report.sh  $with_rf   
fi
      
if [ $scope = all -o $scope = perf -o $scope = throughput ]
then
	echo
	echo
	echo "Throughtest Report"
	echo "------------------"
	echo
	tpch_throughput_test_report.sh  $ns $with_rf 
fi

