#!/bin/bash

#==========================================================================
# Filename: tpch_power.sh
#==========================================================================
# Purpose:
#
# Computes the TPC-H Power@Size metric using the following formula 
#
#   TPC-H Power @Size = (3600 * SF) / (geometric mean of power test)
# 
#==========================================================================


if [ -z "$2" ]
then
  echo " Usage:  $0  scale_factor with_rf"
  echo ""
  echo "      - computes the power metric from stream0.out and update_power.out"
  exit
fi

sf=$1  # scale factor
with_rf=$2
geomean=$(geo_mean_power_test.sh $with_rf)

#evaluate the TPC-H power metric
line="3600*$sf/$geomean"
p=$(echo "scale=9;$line"|bc)

power=`round_to_tenths.pl $p`
echo $power
