#!/bin/bash


if [ -z "$1" -o -z "$2" -o -z "$3" -o -z "$4" ]
then
	echo 
	echo "Usage:  $0  <SCOPE> <SCOPE2> <STREAM_COUNT><with_rf> "  
	echo 
	echo "	- displays start time, end time and duration of each stream"
	echo "	  as well as the refresh part of the throughput test "       
	echo 
	exit
fi

scope=$1
scope2=$2
ns=$3
with_rf=$4

if [ $scope2 = inter ]
then
	echo " streamID duration"
	echo " ----------------- "
fi

if [ $scope2 = timing ]
then
	echo " streamID start date  start time  end date    end time"
        echo " ----------------------------------------------------- "
fi

if [ $scope2 = all ]
then
	echo " streamID start date  start time  end date    end time   duration    seed"
	echo " -------------------------------------------------------------------------- "
fi


# For throughput test, we start with stream1.
if [ $scope = throughput ]
then
	i=1
else
	i=0
fi
while  ((i<ns+1))
do  
	ssdt=`grep "Stream START" $RESULTS/stream${i}.out| grep -v ^[0-9]*">" | grep -v dateformat \
		| tr  -d "'"| tr -s " "|cut  -d ',' -f2|cut -d ' ' -f2,3`

	# remove trailing .xyz from $start_date
	ssdt=`echo $ssdt | sed -e "s/\..*//"`   
	
	# extract date part from $start_date
	ssd=`echo $ssdt | sed -e "s/ .*//"`     

	# extract time part from $start_date
	sst=`echo $ssdt| sed -e "s/^.* //"`    

	if [ -f $RESULTS/stream$i.out ]
	then
		# extract line containing "Stream STOP" stream$i.out
		sedt=`grep "Stream STOP" $RESULTS/stream$i.out | grep -v ^[0-9]*">" \
			|grep -v dateformat|tr  -d "'"| tr -s " "|cut  -d ',' -f2|cut -d ' ' -f2,3`
	else
		sedt="1900-01-01 00:00:00.000"
	fi

	sedt=`echo $sedt | sed -e "s/\..*//"`
	sed=`echo $sedt | sed -e "s/ .*//"`
	sset=`echo $sedt | sed -e "s/^.* //"`
	seed=`grep "stream$i " $STREAMS/stream_seeds|cut -d ' ' -f2`
	end_secs_from_epoch=`secs_since_epoch.pl "$sedt"`
	start_secs_from_epoch=`secs_since_epoch.pl "$ssdt"`
	((duration_secs=end_secs_from_epoch-start_secs_from_epoch))
	duration=`secs2dhms.sh $duration_secs | sed -e 's/-e//g' | tr -d ' ' `

	if [ -f $RESULTS/stream$i.out ]
	then
		if [ $scope2 = all ]
		then
			
			echo " stream$i  $ssd    $sst    $sed  $sset   $duration  $seed"
			echo " "
		elif [ $scope2 = inter ]
		then
			echo " stream$i  $duration"
			echo " "
		elif [ $scope2 = timing ]
		then
			echo " stream$i  $ssd    $sst    $sed  $sset"
			echo " "
		fi
	fi
	
	if [ $scope = power ]
	then
		    break 
	fi
	
	((i=i+1))
done

echo
echo
