#!/bin/bash
# this computes the throughput metric from the throughput interval, which is      
# computed by the script tpch_throughput_interval.sh
#
# The formula for the throughput metric is 
#
#    (NumStreams * 22 * 3600 * SF) / throughput_interval


if (( $# < 2 ))
then
  echo 
  echo "usage:  $0 scale_factor with_rf  num_streams"
  echo 
  echo "           - computes the throughput metric from the throughput_interval    "
  echo 
  exit 1
fi


sf=$1  # scale factor
with_rf=$2
ns=$3

throughput_interval=`tpch_throughput_interval.sh  $ns $with_rf`
# create a string whose value is the throughput metric
line="($ns*22*3600*$sf/$throughput_interval)" 
#  echo $line  [debug tpch_throughput.sh]

#evaluate the throughput metric
th=$(echo "scale=3;$line"|bc)

throughput=`round_to_tenths.pl $th`
echo $throughput     
