#!/bin/bash

# computes arithmetic mean of all queries executed 
# during the throughput test


if [ -z "$1" ]    
then
  echo
  echo "usage:  $0  num_streams"
  echo ""
  echo "           - returns arithmetic mean of all queries in "
  echo "             stream1.out, ... , stream$ns.out"
  echo
  exit
fi


ns=$1
i=1

rm $TEMPFILES/queries > /dev/null 2>&1
touch $TEMPFILES/queries

while [ "$i" -le $ns ]
do
	grep 'Elapsed time' $RESULTS/stream$i.out|grep -v ^[0-9]*">" |grep -v datediff|grep -v 'Stream' |tr -d "," \
		| tr -d  "'"|awk '{print $NF}' >> $TEMPFILES/queries
	i=`expr $i + 1`
done

sum=0

for i in `sed -e "s/,//g" $TEMPFILES/queries | sed -e "s/ //g"`
do
	sum=$(echo "scale=2; ($sum + $i)/1" |bc)
done

#Each Query Stream contains 22 queries
arithmean=$(echo "scale=3; $sum/($ns*22)"|bc)
arithmean=`round_to_tenths.pl $arithmean`

echo $arithmean 
