%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Created by: Masood Dirin                                                    
% Create Date:  April 21, 1999                                                
%                                                                             
% Purpose of this test is to run and verify the pass of the ACID Atomicity    
% test. 								      
%                                                                             
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Test		"acid_atomic_main.tst"
Description	"To run the ACID atomicity test"

stringconnect "dsn=qual_16_0;"

execute {select now(*)} into times
print 'Atomicity test start = ', times
print ' '

include 'acid_functions.tst'
commit

%
% Atomicity test with rollback
%
print ' '
print 'Starting atomicity test with rollback'
print ' '

%include 'acid_atomic_setup.tst'
run test 'acid_atomic_setup.tst'

stringconnect "dsn=qual_16_0;"
let counter=0

LOOP {
open cur2 {select ordr, line, delta from aa_whattodo where seqnum=^}
	substitute counter
print 'counter = ',counter
fetch cur2 into ordr, line, delta
if ROWSTATUS != FOUND then { BREAK LOOP } endif
print 'Acid transaction for: o_key-',ordr,'  l_key-', line,'  delta-',delta

execute {select count(*)
        from history
        where h_o_key =^ and h_l_key =^}
        substitute ordr, line
        into total_history_count

print ''
print 'Initial values:'
execute {select o_totalprice, l_quantity, l_extendedprice
	from orders, lineitem
	where o_orderkey = l_orderkey and o_orderkey =^ and l_linenumber = ^}
	substitute ordr, line
	into o_total, l_quan, l_price
print 	'o_totalprice = ',o_total,'	l_quantity = ',l_quan,
	'	l_extendedprice = ',l_price

print   'Initial History table count=',total_history_count
print ''

execute {call acid_transaction(^, ^,  ^, rprice, quantity, 
				tax, disc, extprice, ototal) 
	} substitute ordr, line, delta
close cur2

execute {select count(*)
        from history
        where h_o_key =^ and h_l_key =^}
        substitute ordr, line
        into total_history_count
execute {select o_totalprice, l_quantity, l_extendedprice
        from orders, lineitem
        where o_orderkey = l_orderkey and o_orderkey =^ and l_linenumber = ^}
        substitute ordr, line
        into o_total, l_quan, l_price
print	'Before Rolling back:'
print   'o_totalprice = ',o_total,'     l_quantity = ',l_quan,
        '       l_extendedprice = ',l_price

print   'Before Rollback History table count=',total_history_count


let counter = counter+1

rollback
execute {select now(*)} into times
print 'rollback : ', times

execute {select o_totalprice, l_quantity, l_extendedprice
	from orders, lineitem
	where o_orderkey = l_orderkey and o_orderkey =^ and l_linenumber = ^}
	substitute ordr, line
	into o_total, l_quan, l_price

print	'After Rollback:'
print 	'o_totalprice = ',o_total,'	l_quantity = ',l_quan,
	'	l_extendedprice = ',l_price
print ' '

execute {select count(*) 
	from history
	where h_o_key =^ and h_l_key =^}
	substitute ordr, line
	into total_history_count

print	'After Rollback History table count=',total_history_count

} ENDLOOP

commit

%
% Atomicity test with commit
%
stringconnect "dsn=qual_16_0;"
print ' '
print 'Starting atomicity test with commit '
print ' '
%include 'acid_atomic_setup.tst'
run test 'acid_atomic_setup.tst'

stringconnect "dsn=qual_16_0;"

open cur1 {select ordr, line, delta from aa_whattodo}
LOOP {
fetch cur1 into ordr, line, delta
if ROWSTATUS != FOUND then { BREAK LOOP } endif
print 'Acid transaction for: o_key-',ordr,'  l_key-', line,'  delta-',delta
execute {select o_totalprice, l_quantity, l_extendedprice
	from orders, lineitem
	where o_orderkey = l_orderkey and o_orderkey =^ and l_linenumber = ^}
	substitute ordr, line
	into o_total, l_quan, l_price

execute {select count(*)
        from history
        where h_o_key =^ and h_l_key =^}
        substitute ordr, line
        into total_history_count

print	'Initial values:'
print 	'o_totalprice = ',o_total,'	l_quantity = ',l_quan,
	'	l_extendedprice = ',l_price
print   'Initial History table count=',total_history_count
print ''
print	''
print	''
print   'Before Commit:'
print	'	l_extendedprice = ',l_price

execute {call acid_transaction(^, ^,  ^, rprice, quantity, 
				tax, disc, extprice, ototal) 
	} substitute ordr, line, delta


execute {select o_totalprice, l_quantity, l_extendedprice
        from orders, lineitem
        where o_orderkey = l_orderkey and o_orderkey =^ and l_linenumber = ^}
        substitute ordr, line
        into o_total, l_quan, l_price

execute {select count(*)
        from history
        where h_o_key =^ and h_l_key =^}
        substitute ordr, line
        into total_history_count


print   'Before Commit:'
print   'o_totalprice = ',o_total,'     l_quantity = ',l_quan,
        '       l_extendedprice = ',l_price

print   'Before Commit History table count=',total_history_count

commit
execute {select now(*)} into times
print 'commit : ', times

print	''
execute {select o_totalprice, l_quantity, l_extendedprice
	from orders, lineitem
	where o_orderkey = l_orderkey and o_orderkey =^ and l_linenumber = ^}
	substitute ordr, line
	into o_total, l_quan, l_price

execute {select count(*)
        from history
        where h_o_key =^ and h_l_key =^}
        substitute ordr, line
        into total_history_count

print	'After Commit:'
print 	'o_totalprice = ',o_total,'	l_quantity = ',l_quan,
	'	l_extendedprice = ',l_price
print   'After Commit History table count=',total_history_count

print ' '

} ENDLOOP

close cur1
commit

execute {select now(*)} into times
print 'Atomicity test end = ', times

End Test

