Test		"acid_consistency_setup.tst"
Description	"Creates acid_table table"

stringconnect "dsn=qual_16_0;"

execute { set option public.isolation_level=3 }
execute {set option public.query_plan='off'}
execute {set temporary option chained='on'}
execute {set option public.auto_commit=off}

% Drop Table if found
allow error -141
execute { drop table acid_table }
execute {drop table latest}
allow no error

execute {
create table acid_table (
		stream	int	null,
                seqnum  int	null,
                ordr    int	null,
                line    int	null,
                delta   int	null)
on SYSTEM
}

fetch {select count(*) from acid_table } into ROWS
assert ROWS = 0
print 'Number of rows before load: ',ROWS
commit

print 'acid_table created'
execute {create table latest(stream int ,last int null) on SYSTEM }
LOOP ({let j = 1}; {j <= 22}; {let j = j + 1})
    {
  	execute { insert into latest(stream,last) values (^,0) }
		substitute j
    } endloop
commit

print 'latest created'

LOOP ({let i = 1}; {i <= 22}; { let i = i + 1})
{
  lOOP ({let j = 1}; {j <= 100}; {let j = j + 1})
    {
  	execute { call generate_acid_values()} into ordr, line, delta
  	execute { insert into acid_table values (^,^,^,^,^) }
		substitute i,j,ordr,line,delta
    } endloop
  print (j-1)*i
} endloop

commit

fetch {select count(*) from acid_table } into ROWS
assert ROWS = 2200
print 'Number of rows after load: ',ROWS

End Test

