%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% acid_durability_main.tst
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Test		"acid_durability_main.tst"
Description	"To run the ACID durability test"

stringconnect "dsn=qual_16_0;"

execute {select now(*)} into times
print 'Durability test start = ', times
print ' '

include 'acid_functions.tst'
run test 'acid_durability_setup.tst'

execute {select now(*)} into times
print 'Durability test time = ', times
print ' '

run test  '-o' 'acid_durability_q1.out' 'acid_durability_query.tst'

%start the fault to occur after 100 + transactions.
%start test '-o' 'kill.out' 'acid_durability_kill_and_continue.tst'

LOOP( { let i = 1 }; { i <= 10 }; { let i = i + 1 } )
{
	let out_file = "acid_dura_user", i, ".out"
	let my_str = "stream=", i

	start test '-o' out_file my_str 'acid_durability_txn.tst'
	sleep 950
}
ENDLOOP

%To check all streams have finished 100 txns and print a message to crash system.
run test 'acid_durability_check_min_txn.tst'

print 'Out of loop. Parent waiting for synch'
synchronize 11

execute {select now(*)} into times
print 'Durability test time = ', times
print ' '

run test  '-o' 'acid_durability_q2.out' 'acid_durability_query.tst'

execute {select now(*)} into times
print 'Durability test end = ', times
print ' '

End Test


