Test		"acid_durability_setup.tst"
Description	"Creates acid_table table"

stringconnect "dsn=qual_16_0;"

execute {set option public.query_plan='off'}
execute {set temporary option chained='on'}
execute {set option public.auto_commit=off}
execute { set option public.isolation_level=3 }

% Drop Table if found
allow error -141
execute { drop table acid_table }
allow no error

execute {
create table acid_table (
		stream	int	not null,
                seqnum  int	not null,
                ordr    int	null,
                line    int	null,
                delta   int	null)
on SYSTEM
}

fetch {select count(*) from acid_table } into ROWS
assert ROWS = 0
print 'Number of rows before load: ',ROWS
commit

print 'acid_table created'

allow error -141
execute { drop table latest }
allow no error

execute {create table latest(stream int ,last int null) on SYSTEM }
LOOP ({let j = 1}; {j <= 10}; {let j = j + 1})
    {
  	execute { insert into latest(stream,last) values (^,0) }
		substitute j
    } endloop
commit

print 'latest created'

LOOP ({let i = 1}; {i <= 10}; { let i = i + 1})
{
  LOOP ({let j = 1}; {j <= 1000}; { let j = j + 1})
    {
  	execute { call generate_acid_values()} into ordr, line, delta
  	execute { insert into acid_table values (^,^,^,^,^) }
		substitute i,j,ordr,line,delta
    } endloop
  print (j-1)*i
} endloop
commit

fetch {select count(*) from acid_table } into ROWS
print 'Number of rows after load: ',ROWS

End Test
