%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  Created by: Masood Dirin                                               %
%  Created Date: 5/27/1999                                                %    
%  Script name: acid_isolation_test5_transaction1.tst                %
%  ---------------------------------------------------------------------  %
%                                                                         %
%  This test could be run by itself, but it is recommended to run it      %
%  as part of acid_isolation_main5.tst file.                         %
%                                                                         %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Test		"acid_isolation_test5_transaction1.tst"
Description	"Run Acid isolation for user1 on test5."

stringconnect "dsn=qual_16_0;"


execute {select ordr, line, delta from acid_isolation_table}
        into ordr, line, delta

 print ' '
 print 'The following are the input values for the users1 ACID Transaction.'
 print 'o_key = ',ordr,'	l_key = ',line,'	delta = ',delta
 print ''
execute {select now(*)} into times
print 'User 1 isolation test time = ', times
print ' '
print ' '
execute {select o_totalprice from orders where o_orderkey=^ } 
	substitute ordr into o_tprice
execute {select l_extendedprice, l_quantity,l_partkey, l_suppkey 
	from lineitem 
	where l_orderkey=^ and l_linenumber=^} 
	substitute ordr, line
	into l_price, l_quant, l_ptky, l_spky
print 'User 1 o_totalprice = ', o_tprice
print 'User 1 l_extendedprice = ', l_price,'	l_quantity = ', l_quant
print 'User 1 l_partkey       = ', l_ptky,'	l_suppkey = ', l_spky
print ' '

execute {select now(*)} into times
print 'User 1 starting acid transaction = ', times

execute {call acid_transaction( ^, ^,  ^, rprice, quantity, tax, disc, 
	extprice, ototal) } substitute ordr, line, delta

execute {select now(*)} into times
print 'User 1 waiting to commit = ', times
print ' '
synchronize 2
sleep 10000
execute {select now(*)} into times
print 'User 1 about to commit = ', times
commit
execute {select now(*)} into times
print 'User 1 transaction commit complete = ', times

execute {select o_totalprice from orders where o_orderkey=^ } 
	substitute ordr into o_tprice
execute {select l_extendedprice, l_quantity 
	from lineitem where l_orderkey=^ and l_linenumber=^} 
	substitute ordr, line
	into l_price, l_quant
print 'User 1 o_totalprice = ', o_tprice
print 'User 1 l_extendedprice = ', l_price,'	l_quantity = ', l_quant
print 'User 1 l_partkey       = ', l_ptky,'	l_suppkey = ', l_spky

print ' '
execute {select * from history where h_o_key=^ 
	and h_date_t=(select max(h_date_t) from history where h_o_key=^)} 
	substitute ordr, ordr
	into hpk, hsk, hok, hlk, hda, hdt

print 'User 1 history entry:'
print '  h_p_key = ', hpk
print '  h_s_key = ', hsk
print '  h_o_key = ', hok
print '  h_l_key = ', hlk
print '  h_delta = ', hda
print '  h_date_t = ', hdt

execute {select now(*)} into times
print 'User 1 isolation test time = ', times
print ''

End Test


