%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  Created by: Masood Dirin                                              
%  Created Date: 5/27/1999                                               
%  Script name: acid_isolation_test6_query.tst
%  ----------------------------------------------------------------------
%                                                                        
%  This test could be run by itself, but it is recommended to run it as  
%  part of acid_isolation_main6.tst file. Run this file by itself as
%  follow:                                                               
%  dbtest -u acid_isolation_query_test6.tst > acid_isolation_query_test6.ot
%                                                                        
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Test		"acid_isolation_test6_query.tst"
Description	"Run Acid isolation query for test 6"

stringconnect "dsn=qual_16_0;"

print 'User1 Query: '
print ' '
print 'User1 starts its query (Q1) here.'
execute {select now(*)} into qstart
print 'Start time for User1 Q1 =', qstart
print ' ' 
compare fetchall {select 
        l_returnflag,
        l_linestatus,
        sum(l_quantity) as sum_qty,
        sum(l_extendedprice) as sum_base_price,
        sum(l_extendedprice * (1 - l_discount)) as sum_disc_price,
        sum(l_extendedprice * (1 - l_discount) * (1 + l_tax)) as sum_charge,
        avg(l_quantity) as avg_qty,
        avg(l_extendedprice) as avg_price,
        avg(l_discount) as avg_disc,
        count(*) as count_order
from    lineitem
where   l_shipdate <= dateadd(day, -1, '1998-12-01')
group by l_returnflag,l_linestatus
order by l_returnflag,l_linestatus
 } in 'queryresult' 

execute {select now(*)} into qstop
print 'Stop time for User1 Q1 =', qstop
print ' '

End Test

