-- using default substitutions
create variable  qstart timestamp;
create variable  qstop timestamp;
create variable  sstart timestamp;
go

set sstart = now(*)
select 'Stream START -- ,',dateformat (sstart,'yyyy-mm-dd hh:nn:ss.sss') 
go

-- @(#)10.sql	Sybase IQ
-- Query 10 - Var_0 Rev_01 - Returned Item Reporting Query

set qstart = now(*)
go
SET TEMPORARY OPTION Temp_Extract_Name1 = 'Results/formatted_query_results/q10.out';
SET TEMPORARY OPTION Temp_Extract_Name2 = '';
SET TEMPORARY OPTION TEMP_EXTRACT_COLUMN_DELIMITER = '~';

-- Query10 Starts

select top 20
	c_custkey,
	c_name,
	sum(l_extendedprice * (1 - l_discount)) as revenue,
	c_acctbal,
	n_name,
	c_address,
	c_phone,
	c_comment
from
	customer,
	orders,
	lineitem,
	nation
where
	c_custkey = o_custkey
	and l_orderkey = o_orderkey
	and o_orderdate >= '1993-10-01'
	and o_orderdate < dateadd(month, 3, '1993-10-01')
	and l_returnflag = 'R'
	and c_nationkey = n_nationkey
group by
	c_custkey,
	c_name,
	c_acctbal,
	c_phone,
	n_name,
	c_address,
	c_comment
order by
	revenue desc

-- Query Ends
go
--Result Ends


commit transaction
go



set qstop = now(*)
go

select 'Stream 0 Query 10 START -- ,',dateformat (qstart,'yyyy-mm-dd hh;nn;ss.sss') 
select 'Stream 0 Query 10 STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh;nn;ss.sss')
go

select 'Elapsed time,q10,', datediff(millisecond,qstart,qstop)/(1000.0)
go
set qstop = now(*)
go

select 'Stream STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh:nn:ss.sss')
go

select 'Stream Elapsed time,', datediff(millisecond,sstart,qstop)
go

exit
go
