-- using default substitutions
create variable  qstart timestamp;
create variable  qstop timestamp;
create variable  sstart timestamp;
go

set sstart = now(*)
select 'Stream START -- ,',dateformat (sstart,'yyyy-mm-dd hh:nn:ss.sss') 
go

-- @(#)15.sql	Sybase IQ
-- Query 15 - Var_0 Rev_01 - Top Supplier Query

set qstart = now(*)
go

SET TEMPORARY OPTION Temp_Extract_Name1 = 'Results/formatted_query_results/q15.out';
SET TEMPORARY OPTION Temp_Extract_Name2 = '';
SET TEMPORARY OPTION TEMP_EXTRACT_COLUMN_DELIMITER = '~';

-- Query15 Starts

create view revenue0 (supplier_no, total_revenue) as
	select
		l_suppkey,
		sum(l_extendedprice * (1 - l_discount))
	from
		lineitem
	where
		l_shipdate >= '1996-01-01'
		and l_shipdate < dateadd(month,3,'1996-01-01')
	group by
		l_suppkey
go

select
	s_suppkey,
	s_name,
	s_address,
	s_phone,
	total_revenue
from
	supplier,
	revenue0
where
	s_suppkey = supplier_no
	and total_revenue = (
		select
			max(total_revenue)
		from
			revenue0
	)
order by
	s_suppkey

go

drop view revenue0
-- Query Ends
go
--Result Ends

commit transaction
go



set qstop = now(*)
go

select 'Stream 0 Query 15 START -- ,',dateformat (qstart,'yyyy-mm-dd hh;nn;ss.sss') 
select 'Stream 0 Query 15 STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh;nn;ss.sss')
go

select 'Elapsed time,q15,', datediff(millisecond,qstart,qstop)/(1000.0)
go
set qstop = now(*)
go

select 'Stream STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh:nn:ss.sss')
go

select 'Stream Elapsed time,', datediff(millisecond,sstart,qstop)
go

exit
go
