-- using default substitutions
create variable  qstart timestamp;
create variable  qstop timestamp;
create variable  sstart timestamp;
go

set sstart = now(*)
select 'Stream START -- ,',dateformat (sstart,'yyyy-mm-dd hh:nn:ss.sss') 
go

-- @(#)2.sql	Sybase IQ 
-- Query 02 - Var_0 Rev_01 - Minimum Cost Supplier Query

set qstart = now(*)
go

SET TEMPORARY OPTION Temp_Extract_Name1 = 'Results/formatted_query_results/q2.out';
SET TEMPORARY OPTION Temp_Extract_Name2 = '';
SET TEMPORARY OPTION TEMP_EXTRACT_COLUMN_DELIMITER = '~';

-- Query02 Starts

select top 100
	s_acctbal,
	s_name,
	n_name,
	p_partkey,
	p_mfgr,
	s_address,
	s_phone,
	s_comment
from
	part,
	supplier,
	partsupp,
	nation,
	region
where
	p_partkey = ps_partkey
	and s_suppkey = ps_suppkey
	and p_size = 15
	and p_type like '%BRASS'
	and s_nationkey = n_nationkey
	and n_regionkey = r_regionkey
	and r_name = 'EUROPE'
	and ps_supplycost = (
		select
			min(ps_supplycost)
		from
			partsupp,
			supplier,
			nation,
			region
		where
			p_partkey = ps_partkey
			and s_suppkey = ps_suppkey
			and s_nationkey = n_nationkey
			and n_regionkey = r_regionkey
			and r_name = 'EUROPE'
	)
order by
	s_acctbal desc,
	n_name,
	s_name,
	p_partkey
-- Query Ends
go
--Result Ends
commit transaction
go


set qstop = now(*)
go

select 'Stream 0 Query 2 START -- ,',dateformat (qstart,'yyyy-mm-dd hh;nn;ss.sss') 
select 'Stream 0 Query 2 STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh;nn;ss.sss')
go

select 'Elapsed time,q2,', datediff(millisecond,qstart,qstop)/(1000.0)
go
set qstop = now(*)
go

select 'Stream STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh:nn:ss.sss')
go

select 'Stream Elapsed time,', datediff(millisecond,sstart,qstop)
go

exit
go
