-- @(#)19.sql	Sybase IQ
-- Query 19 - Var_0 Rev_01 - Discounted Revenue Query

set qstart = now(*)
go

SET TEMPORARY OPTION Temp_Extract_Name1 = 'Results/formatted_query_results/q19.out';
SET TEMPORARY OPTION Temp_Extract_Name2 = '';
SET TEMPORARY OPTION TEMP_EXTRACT_COLUMN_DELIMITER = '~';

-- Query19 Starts


select
	sum(l_extendedprice* (1 - l_discount)) as revenue
from
	lineitem,
	part
where
	(
		p_partkey = l_partkey
		and p_brand = ':1'
		and p_container in ('SM CASE', 'SM BOX', 'SM PACK', 'SM PKG')
		and l_quantity >= :4 and l_quantity <= :4 + 10
		and p_size between 1 and 5
		and l_shipmode in ('AIR', 'AIR REG')
		and l_shipinstruct = 'DELIVER IN PERSON'
	)
	or
	(
		p_partkey = l_partkey
		and p_brand = ':2'
		and p_container in ('MED BAG', 'MED BOX', 'MED PKG', 'MED PACK')
		and l_quantity >= :5 and l_quantity <= :5 + 10
		and p_size between 1 and 10
		and l_shipmode in ('AIR', 'AIR REG')
		and l_shipinstruct = 'DELIVER IN PERSON'
	)
	or
	(
		p_partkey = l_partkey
		and p_brand = ':3'
		and p_container in ('LG CASE', 'LG BOX', 'LG PACK', 'LG PKG')
		and l_quantity >= :6 and l_quantity <= :6 + 10
		and p_size between 1 and 15
		and l_shipmode in ('AIR', 'AIR REG')
		and l_shipinstruct = 'DELIVER IN PERSON'
	)

-- Query Ends
go
--Result Ends

:e

set qstop = now(*)
go

select 'Stream :s Query :q START -- ,',dateformat (qstart,'yyyy-mm-dd hh;nn;ss.sss') 
select 'Stream :s Query :q STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh;nn;ss.sss')
go

select 'Elapsed time,q:q,', datediff(millisecond,qstart,qstop)/(1000.0)
go
