-- ====================================================================
-- Notation:
-- IQ MAIN DBSPACES will be named as iq[0-9]+
-- and
-- IQ TEMP DBSPACES will be named as iqtmp[0-9]+
--
-- This notation is required to help in reporting the main
-- and temp dbspaces in the kit.
-- ====================================================================

--alter dbspace IQ_SYSTEM_MAIN ADD 
--FILE iq2 '/opt/tpch_kit_2_14_new/devices/M02' size 2048
--, FILE iq3 '/opt/tpch_kit_2_14_new/devices/M03' size 2048;

--alter dbspace IQ_SYSTEM_TEMP ADD
--FILE iqtmp2 '/opt/tpch_kit_2_14_new/devices/T02' size 2048;
alter dbspace IQ_SYSTEM_MAIN ADD
 FILE iq2 '/opt/tpch/acid_scripts/devices/M02';

--create separate IQ_USER_MAIN
create dbspace IQ_USER_MAIN USING
FILE   iq3  '/opt/tpch/acid_scripts/devices/M03'
, FILE iq4  '/opt/tpch/acid_scripts/devices/M04'
, FILE iq5  '/opt/tpch/acid_scripts/devices/M05'
, FILE iq6  '/opt/tpch/acid_scripts/devices/M06'
, FILE iq7  '/opt/tpch/acid_scripts/devices/M07'
, FILE iq8  '/opt/tpch/acid_scripts/devices/M08'
, FILE iq9  '/opt/tpch/acid_scripts/devices/M09'
, FILE iq10 '/opt/tpch/acid_scripts/devices/M10';
--, FILE iq11 '/opt/tpch/acid_scripts/devices/M11';
--, FILE iq12 '/opt/tpch/acid_scripts/devices/M12'
--, FILE iq13 '/opt/tpch/acid_scripts/devices/M13'
--, FILE iq14 '/opt/tpch/acid_scripts/devices/M14'
--, FILE iq15 '/opt/tpch/acid_scripts/devices/M15'
--, FILE iq16 '/opt/tpch/acid_scripts/devices/M16'
--, FILE iq17 '/opt/tpch/acid_scripts/devices/M17'
--, FILE iq18 '/opt/tpch/acid_scripts/devices/M18'
--, FILE iq19 '/opt/tpch/acid_scripts/devices/M19'
--, FILE iq20 '/opt/tpch/acid_scripts/devices/M20';


--set default for object creation to IQ_USER_MAIN
GRANT CREATE ON IQ_USER_MAIN to PUBLIC ;
REVOKE CREATE ON IQ_SYSTEM_MAIN from PUBLIC ;
SET OPTION PUBLIC.DEFAULT_DBSPACE = 'IQ_USER_MAIN';

-- node 1 only - T40 and T49
alter dbspace IQ_SYSTEM_TEMP ADD
FILE   iqtmp41 '/opt/tpch/acid_scripts/devices/T41'
, FILE iqtmp42 '/opt/tpch/acid_scripts/devices/T42'
, FILE iqtmp43 '/opt/tpch/acid_scripts/devices/T43'
, FILE iqtmp44 '/opt/tpch/acid_scripts/devices/T44'
, FILE iqtmp45 '/opt/tpch/acid_scripts/devices/T45';


-- run on node 2 only after node created in multiplex and node 2 database started - IQ_SYSTEM_TEMP already defined
--alter dbspace IQ_SYSTEM_TEMP ADD
--FILE   iqtmp50 '/opt/tpch/acid_scripts/devices/T50'
--, FILE iqtmp51 '/opt/tpch/acid_scripts/devices/T51'
--, FILE iqtmp52 '/opt/tpch/acid_scripts/devices/T52'
--, FILE iqtmp53 '/opt/tpch/acid_scripts/devices/T53'
--, FILE iqtmp54 '/opt/tpch/acid_scripts/devices/T54'
--, FILE iqtmp55 '/opt/tpch/acid_scripts/devices/T55';


-- run on node 3 only after node created in multiplex and node 3 database started - IQ_SYSTEM_TEMP already defined
--alter dbspace IQ_SYSTEM_TEMP ADD
--FILE   iqtmp60 '/opt/tpch/acid_scripts/devices/T60'
--, FILE iqtmp61 '/opt/tpch/acid_scripts/devices/T61'
--, FILE iqtmp62 '/opt/tpch/acid_scripts/devices/T62'
--, FILE iqtmp63 '/opt/tpch/acid_scripts/devices/T63'
--, FILE iqtmp64 '/opt/tpch/acid_scripts/devices/T64'
--, FILE iqtmp65 '/opt/tpch/acid_scripts/devices/T65';

-- run on node 3 only after node created in multiplex and node 4 database started - IQ_SYSTEM_TEMP already defined
--alter dbspace IQ_SYSTEM_TEMP ADD
--FILE   iqtmp70 '/opt/tpch/acid_scripts/devices/T70'
--, FILE iqtmp71 '/opt/tpch/acid_scripts/devices/T71'
--, FILE iqtmp72 '/opt/tpch/acid_scripts/devices/T72'
--, FILE iqtmp73 '/opt/tpch/acid_scripts/devices/T73'
--, FILE iqtmp74 '/opt/tpch/acid_scripts/devices/T74'
--, FILE iqtmp75 '/opt/tpch/acid_scripts/devices/T75';


-- note IQ_SHARED_TEMP comes first in the Txx symlink order
alter dbspace IQ_SHARED_TEMP ADD
FILE  iqstmp01 '/opt/tpch/acid_scripts/devices/T01'
,FILE iqstmp02 '/opt/tpch/acid_scripts/devices/T02'
,FILE iqstmp03 '/opt/tpch/acid_scripts/devices/T03'
,FILE iqstmp04 '/opt/tpch/acid_scripts/devices/T04'
,FILE iqstmp05 '/opt/tpch/acid_scripts/devices/T05'
,FILE iqstmp06 '/opt/tpch/acid_scripts/devices/T06'
,FILE iqstmp07 '/opt/tpch/acid_scripts/devices/T07'
,FILE iqstmp08 '/opt/tpch/acid_scripts/devices/T08'
,FILE iqstmp09 '/opt/tpch/acid_scripts/devices/T09'
,FILE iqstmp10 '/opt/tpch/acid_scripts/devices/T10'
,FILE iqstmp11 '/opt/tpch/acid_scripts/devices/T11'
,FILE iqstmp12 '/opt/tpch/acid_scripts/devices/T12'
,FILE iqstmp13 '/opt/tpch/acid_scripts/devices/T13'
,FILE iqstmp14 '/opt/tpch/acid_scripts/devices/T14'
,FILE iqstmp15 '/opt/tpch/acid_scripts/devices/T15'
,FILE iqstmp16 '/opt/tpch/acid_scripts/devices/T16';
--,FILE iqstmp17 '/opt/tpch/acid_scripts/devices/T17'
--,FILE iqstmp18 '/opt/tpch/acid_scripts/devices/T18';
