#Generate interfaces file
if [ -z "$HOSTNAME" ]
then
        HOSTNAME=`uname -n`
fi

USER_NAME=`whoami`

#Port Number shouldn't be in use already. Use last 4 digits of your phone number for uniqueness.
#Server name on the machine should be unique.

PORT_NUMBER=5788
TEST_ENGINE_NAME=test_${VERSION}_${USER_NAME}
QUAL_ENGINE_NAME=qual_${VERSION}_${USER_NAME}

if [ $VERSION = 12_7 ]
then
	PASSWORD=SQL
	DATABASE_NAME=asiqdemo
	DATABASE_FILE=asiqdemo.db
else
	PASSWORD=sql
	DATABASE_NAME=iqdemo
	DATABASE_FILE=iqdemo.db
fi

cat > $ACID_ROOT/interfaces <<EOF
qual_${VERSION}
        master tcp ether $HOSTNAME ${PORT_NUMBER}
        query tcp ether $HOSTNAME ${PORT_NUMBER}
EOF


#Generate odbc.ini file using template odbc.ini_template
sed -e 's/HOSTNAME/'$HOSTNAME'/' $TEMPLATES/odbc.ini_template | \
	sed -e 's/PORT_NUMBER/'$PORT_NUMBER'/' | \
	sed -e 's/TEST_ENGINE_NAME/'$TEST_ENGINE_NAME'/' | \
	sed -e 's/QUAL_ENGINE_NAME/'$QUAL_ENGINE_NAME'/' | \
	sed -e 's/PASSWORD/'$PASSWORD'/' | \
	sed -e 's/DATABASE_NAME/'$DATABASE_NAME'/' | \
	sed -e 's/DATABASE_FILE/'$DATABASE_FILE'/' | \
	sed -e 's/VERSION/'$VERSION'/'			> $ACID_ROOT/.odbc.ini

#Generate qual.cfg 
sed -e 's/QUAL_ENGINE_NAME/'$QUAL_ENGINE_NAME'/' $TEMPLATES/qual.cfg| \
	sed -e 's/PORT_NUMBER/'$PORT_NUMBER'/'			> $ACID_ROOT/qual.cfg

#Generate test.cfg
sed -e 's/TEST_ENGINE_NAME/'$TEST_ENGINE_NAME'/' $TEMPLATES/test.cfg | \
	sed -e 's/PORT_NUMBER/'$PORT_NUMBER'/'                  > $ACID_ROOT/test.cfg

