#!/bin/bash

if [ $# -lt 3 ]
then
	echo "Usage: $0 <query-number> <monitoring=0|1> <result_dir>";
	echo " For example: to run q22 with monitoring";
	echo " $ runquery.sh 22 1";
	exit;
else
	query_number=$1
	Enable_Monitoring=$2; export Enable_Monitoring
	RESULTS=$3; export RESULTS
	mkdir -p $RESULTS
fi

CURRENTLY_RUNNING=power; export CURRENTLY_RUNNING
DEBUG=1; export DEBUG

cat > $DEV_DIR/tpch.iqmsg << EOF
EOF

$ISQL -i $QUERIES/q${1}.sql > $RESULTS/q${1}.out
mv $TPCH_ROOT/plans/*.html $RESULTS
grep -i elapsed $RESULTS/q${1}.out |grep -v datediff

plot_cpu_visualization.sh $RESULTS/MPSTAT/q${1}.out $RESULTS/VMSTAT/q${1}.out > /dev/null 2>&1
plot_io_visualization.pl $RESULTS/IOSTAT/q${1}.out > /dev/null 2>&1

cp $DEV_DIR/tpch.iqmsg $RESULTS/
