# WARNING:
# --------
# IF THE NOTATION IS NOT FOLLOWED, DEVICE INFO WILL 
# BE WRONG IN REPORT.
#
# =================================================================
# File: create_dbspace_links.sh
# =================================================================
#
# Usage: change the filepaths to reflect actual files.
#
# Please refer setup/create_database.sql setup/create_dbspaces.sql
# before choosing the device locations.
#
# Device locations should have enough space as specified in the above
# files.
#
# $DEV_DIR/M01 and $DEV_DIR/T01 store the main store and temp store
# when the tpch database is created.
#
# 
# --------
# Notation
# --------
# For adding/modifying new MAIN dbspaces use M* as name
# for the symbolic link.
# e.g. M05
#
# For adding/modifying new temp dbspaces use T* as name
# for the symbolic link.
# e.g.T05

#ln -s /dev/raw/raw1 $DEV_DIR/M01.iq
#ln -s /dev/raw/raw5 $DEV_DIR/M02

#ln -s /dev/raw/raw17 $DEV_DIR/T01.iqtmp
#ln -s /dev/raw/raw21 $DEV_DIR/T02
# =================================================================

#shared IQ_SYSTEM_MAIN
#DEV_DIR=/opt/tpch/devices; export DEV_DIR
cd /opt/tpch
source bm_setup

ln -s /dev/raw/raw101 $DEV_DIR/M01
ln -s /dev/raw/raw102 $DEV_DIR/M02

# shared IQ_USER_MAIN
ln -s /dev/raw/raw201 $DEV_DIR/M03
ln -s /dev/raw/raw202 $DEV_DIR/M04
ln -s /dev/raw/raw203 $DEV_DIR/M05
ln -s /dev/raw/raw204 $DEV_DIR/M06
ln -s /dev/raw/raw205 $DEV_DIR/M07
ln -s /dev/raw/raw206 $DEV_DIR/M08
ln -s /dev/raw/raw207 $DEV_DIR/M09
ln -s /dev/raw/raw208 $DEV_DIR/M10
ln -s /dev/raw/raw209 $DEV_DIR/M11
ln -s /dev/raw/raw210 $DEV_DIR/M12
ln -s /dev/raw/raw211 $DEV_DIR/M13
#ln -s /dev/raw/raw212 $DEV_DIR/M14
#ln -s /dev/raw/raw213 $DEV_DIR/M15
#ln -s /dev/raw/raw214 $DEV_DIR/M16
#ln -s /dev/raw/raw215 $DEV_DIR/M17
#ln -s /dev/raw/raw216 $DEV_DIR/M18
#ln -s /dev/raw/raw217 $DEV_DIR/M19
#ln -s /dev/raw/raw218 $DEV_DIR/M20

# shared IQ_SHARED_TEMP - comes first in the symlink Txx order
ln -s /dev/raw/raw301 $DEV_DIR/T01
ln -s /dev/raw/raw302 $DEV_DIR/T02
ln -s /dev/raw/raw303 $DEV_DIR/T03
ln -s /dev/raw/raw304 $DEV_DIR/T04
ln -s /dev/raw/raw305 $DEV_DIR/T05
ln -s /dev/raw/raw306 $DEV_DIR/T06
ln -s /dev/raw/raw307 $DEV_DIR/T07
ln -s /dev/raw/raw308 $DEV_DIR/T08
ln -s /dev/raw/raw309 $DEV_DIR/T09
ln -s /dev/raw/raw310 $DEV_DIR/T10
ln -s /dev/raw/raw311 $DEV_DIR/T11
ln -s /dev/raw/raw312 $DEV_DIR/T12
ln -s /dev/raw/raw313 $DEV_DIR/T13
ln -s /dev/raw/raw314 $DEV_DIR/T14
ln -s /dev/raw/raw315 $DEV_DIR/T15
ln -s /dev/raw/raw316 $DEV_DIR/T16
#ln -s /dev/raw/raw317 $DEV_DIR/T17
#ln -s /dev/raw/raw318 $DEV_DIR/T18


#local IQ_SYSTEM_TEMP for node 4
#ln -s /dev/raw/raw401 $DEV_DIR/T40
#ln -s /dev/raw/raw402 $DEV_DIR/T41
#ln -s /dev/raw/raw403 $DEV_DIR/T42
#ln -s /dev/raw/raw404 $DEV_DIR/T43
#ln -s /dev/raw/raw405 $DEV_DIR/T44
#ln -s /dev/raw/raw406 $DEV_DIR/T45

# local IQ_SYSTEM_TEMP for node 1
#ln -s /dev/raw/raw401 $DEV_DIR/T50
#ln -s /dev/raw/raw402 $DEV_DIR/T51
#ln -s /dev/raw/raw403 $DEV_DIR/T52
#ln -s /dev/raw/raw404 $DEV_DIR/T53
#ln -s /dev/raw/raw405 $DEV_DIR/T54
#ln -s /dev/raw/raw406 $DEV_DIR/T55

# local IQ_SYSTEM_TEMP for node 2
#ln -s /dev/raw/raw401 $DEV_DIR/T60
#ln -s /dev/raw/raw402 $DEV_DIR/T61
#ln -s /dev/raw/raw403 $DEV_DIR/T62
#ln -s /dev/raw/raw404 $DEV_DIR/T63
#ln -s /dev/raw/raw405 $DEV_DIR/T64
#ln -s /dev/raw/raw406 $DEV_DIR/T65

# local IQ_SYSTEM_TEMP for node 3
ln -s /dev/raw/raw401 $DEV_DIR/T70
ln -s /dev/raw/raw402 $DEV_DIR/T71
ln -s /dev/raw/raw403 $DEV_DIR/T72
ln -s /dev/raw/raw404 $DEV_DIR/T73
#ln -s /dev/raw/raw405 $DEV_DIR/T74
#ln -s /dev/raw/raw406 $DEV_DIR/T75


