-- THIS IS A GENERATED FILE.
-- PLEASE CHANGE gen_tpch_wait.sh FOR MODIFICATIONS

if exists (select 1 
	   from SYS.SYSPROCEDURE 
	   where proc_name = 'tpch_wait') then
    DROP procedure tpch_wait;
end if
;

-- Script to put a delay between TPCH updates.
-- Normally we just want to sleep a bit to spread updates out
-- through the entire throughput test. Sometimes we run out of
-- space; if so, just wait some more...
create procedure tpch_wait()
begin

  declare local temporary table t_iq_spaceused(
    mainKB     unsigned bigint,
    mainKBUsed unsigned bigInt,
    tempKB     unsigned bigInt,
    tempKBUsed unsigned bigInt,
    shTempTotalKB unsigned bigInt,
    shTempTotalKBUsed unsigned bigint,
    shTempLocalKB unsigned bigint,
    shTempLocalKBUsed unsigned bigint
    )
    in SYSTEM on commit preserve rows;

  declare maintotal unsigned bigint;
  declare mainused unsigned bigint;
  declare temptotal unsigned bigint;
  declare tempused unsigned bigint;
  declare mainfree unsigned bigint;
  declare command varchar(255);

  select 'xp_cmdshell ''sleep 120''' into command;

  waitloop:
  LOOP
	truncate table t_iq_spaceused;
	execute immediate 
	     'iq utilities main into t_iq_spaceused command statistics 30000' ;

	select  	mainKB, 
			mainKBUsed, 
			tempKB, 
			tempKBUsed
	  into maintotal, mainused, temptotal, tempused
	  from t_iq_spaceused;

        message 'TPCH main total: ',maintotal,'  main used : ',mainused;
        message 'TPCH temp total: ',temptotal,'  temp used : ',tempused;
	set mainfree = maintotal-mainused;
        message 'TPCH main free : ',mainfree;

	if ( mainfree > 124000000 ) 
		then leave waitloop;
		end if;

        select 'xp_cmdshell ''sleep 300''' into command;
        execute immediate command;

  END LOOP waitloop;

  drop table t_iq_spaceused;
  commit;
end
;

