-- using 1113151628 as a seed to the RNG
SET TEMPORARY OPTION Query_Plan_As_Html='On';
SET TEMPORARY OPTION Query_Plan_After_Run='On';
SET TEMPORARY OPTION Query_Timing='On';
SET TEMPORARY OPTION Query_Plan='On';
SET TEMPORARY OPTION Query_Detail='On';
SET TEMPORARY OPTION QUERY_PLAN_AS_HTML_DIRECTORY='/opt/Tpch_all/plans/';
SET TEMPORARY OPTION Dml_Options10='On';
go
create variable  qstart timestamp;
create variable  qstop timestamp;
create variable  sstart timestamp;
go

set sstart = now(*)
select 'Stream START -- ,',dateformat (sstart,'yyyy-mm-dd hh:nn:ss.sss') 
go

-- @(#)12.sql	Sybase IQ
-- Query 12 - Var_0 Rev_01 - Shipping Modes and Order Priority Query

!!start_monitor.sh 12

set qstart = now(*)
go

set temporary option Query_Name = 'Stream0_q12'
select 'Stream 0 Query 12 START -- ,',dateformat (qstart,'yyyy-mm-dd hh;nn;ss.sss') 
go

-- Query12 Starts
select
	l_shipmode,
	sum(case
		when o_orderpriority = '1-URGENT'
			or o_orderpriority = '2-HIGH'
			then 1
		else 0
	end) as high_line_count,
	sum(case
		when o_orderpriority <> '1-URGENT'
			and o_orderpriority <> '2-HIGH'
			then 1
		else 0
	end) as low_line_count
from
	orders,
	lineitem
where
	o_orderkey = l_orderkey
	and l_shipmode in ('FOB', 'REG AIR')
	and l_commitdate < l_receiptdate
	and l_shipdate < l_commitdate
	and l_receiptdate >= '1993-01-01'
	and l_receiptdate < dateadd(year, 1, '1993-01-01')
group by
	l_shipmode
order by
	l_shipmode

go
-- Query Ends

commit transaction
go



set qstop = now(*)
go

select 'Stream 0 Query 12 STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh;nn;ss.sss')
go

select 'Elapsed time,q12,', datediff(millisecond,qstart,qstop)/(1000.0)
go

!!end_monitor.sh

set qstop = now(*)
go

select 'Stream STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh:nn:ss.sss')
go

select 'Stream Elapsed time,', datediff(millisecond,sstart,qstop)
go

exit
go
