-- @(#)15.sql	Sybase IQ
-- Query 15 - Var_0 Rev_01 - Top Supplier Query

set qstart = now(*)
go

-- Query15 Starts

create view revenue:s (supplier_no, total_revenue) as
	select
		l_suppkey,
		sum(l_extendedprice * (1 - l_discount))
	from
		lineitem
	where
		l_shipdate >= ':1'
		and l_shipdate < dateadd(month,3,':1')
	group by
		l_suppkey
go

select
	s_suppkey,
	s_name,
	s_address,
	s_phone,
	total_revenue
from
	supplier,
	revenue:s
where
	s_suppkey = supplier_no
	and total_revenue = (
		select
			max(total_revenue)
		from
			revenue:s
	)
order by
	s_suppkey

go

drop view revenue:s
go
-- Query Ends

:e

set qstop = now(*)
go

select 'Stream :s Query :q START -- ,',dateformat (qstart,'yyyy-mm-dd hh;nn;ss.sss') 
select 'Stream :s Query :q STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh;nn;ss.sss')
go

select 'Elapsed time,q:q,', datediff(millisecond,qstart,qstop)/(1000.0)
go
