-- @(#)18.sql	Sybase IQ
-- Query 18 - Var_0 Rev_01 - Large Volume Customer Query

set qstart = now(*)
go

-- Query18 Starts


select top 100
	c_name,
	c_custkey,
	o_orderkey,
	dateformat (o_orderdate,'yyyy-mm-dd'),
	o_totalprice,
	sum(l_quantity)
from
	customer,
	orders,
	lineitem
where
	o_orderkey in (
		select
			l_orderkey
		from
			lineitem
		group by
			l_orderkey having
				sum(l_quantity) > :1
	)
	and c_custkey = o_custkey
	and o_orderkey = l_orderkey
group by
	c_name,
	c_custkey,
	o_orderkey,
	o_orderdate,
	o_totalprice
order by
	o_totalprice desc,
	o_orderdate

go
-- Query Ends


:e

set qstop = now(*)
go

select 'Stream :s Query :q START -- ,',dateformat (qstart,'yyyy-mm-dd hh;nn;ss.sss') 
select 'Stream :s Query :q STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh;nn;ss.sss')
go

select 'Elapsed time,q:q,', datediff(millisecond,qstart,qstop)/(1000.0)
go
