#!/bin/bash

if [ -z "$1" -o -z "$2" -o -z "$3" ]
then
	echo 'usage querygen <random_seed> <scale_factor> <stream_count>'
	exit 1
fi
RANDOM_SEED=$1
SCALE_FACTOR=$2
STREAM_COUNT=$3

DEBUG=0;export DEBUG

mkdir -p $STREAMS > /dev/null 2>&1

\rm -f $STREAMS/stream*.sql
\rm -f $STREAMS/stream_seeds

for i in `seq 0 $STREAM_COUNT`
do
	SEED=`expr $RANDOM_SEED + $i`;
	qgen -r $SEED  -p $i -c -i $QUERYGEN/begin.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR \
		-l $QUERYGEN/opts.$i > $STREAMS/stream$i.sql
	
	echo "stream$i $SEED">>$STREAMS/stream_seeds
	mv $QUERYGEN/opts.$i $RESULTS
done
 
