-- @(#)10.sql	Sybase IQ
-- Query 10 - Var_0 Rev_01 - Returned Item Reporting Query

!!start_monitor.sh :q

set qstart = now(*)
go

set temporary option Query_Name = 'Stream:s_q:q'
select 'Stream :s Query :q START -- ,',dateformat (qstart,'yyyy-mm-dd hh;nn;ss.sss') 
go

-- Query10 Starts
select top 20
	c_custkey,
	c_name,
	sum(l_extendedprice * (1 - l_discount)) as revenue,
	c_acctbal,
	n_name,
	c_address,
	c_phone,
	c_comment
from
	customer,
	orders,
	lineitem,
	nation
where
	c_custkey = o_custkey
	and l_orderkey = o_orderkey
	and o_orderdate >= ':1'
	and o_orderdate < dateadd(month, 3, ':1')
	and l_returnflag = 'R'
	and c_nationkey = n_nationkey
group by
	c_custkey,
	c_name,
	c_acctbal,
	c_phone,
	n_name,
	c_address,
	c_comment
order by
	revenue desc

go
-- Query Ends

:e

set qstop = now(*)
go

select 'Stream :s Query :q STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh;nn;ss.sss')
go

select 'Elapsed time,q:q,', datediff(millisecond,qstart,qstop)/(1000.0)
go

!!end_monitor.sh

