-- @(#)22.sql	Sybase IQ
-- Query 22 - Var_0 Rev_01 - Global Sales Opportunity Query

!!start_monitor.sh :q

set qstart = now(*)
go

set temporary option Query_Name = 'Stream:s_q:q'
select 'Stream :s Query :q START -- ,',dateformat (qstart,'yyyy-mm-dd hh;nn;ss.sss') 
go

-- Query22 Starts
select
        cntrycode,
        count(*) as numcust,
        sum(c_acctbal) as totacctbal
from
        (
                select
                        substr(c_phone,1,2) as cntrycode,
                        c_acctbal
                from
                        customer
                where
                        substr(c_phone,1,2) in
                                (':1', ':2', ':3', ':4', ':5', ':6', ':7')
                        and c_acctbal > (
                                select
                                        avg(c_acctbal)
                                from
                                        customer
                                where
                                        c_acctbal > 0.00
                                        and substr(c_phone,1,2) in
                                                (':1', ':2', ':3', ':4', ':5', ':6', ':7')
                        )
                        and not exists (
                                select
                                        *
                                from
                                        orders
                                where
                                        o_custkey = c_custkey
                        )
        ) as custsale
group by
        cntrycode
order by
        cntrycode

go
-- Query Ends

:e

set qstop = now(*)
go

select 'Stream :s Query :q STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh;nn;ss.sss')
go

select 'Elapsed time,q:q,', datediff(millisecond,qstart,qstop)/(1000.0)
go

!!end_monitor.sh

