#!/bin/bash
#usage querygen <random_seed> <scale_factor><stream_count>

if [ -z "$1" -o -z "$2" -o -z "$3" ]
then
 echo 'usage querygen <random_seed> <scale_factor><stream_count>'
 exit 1
fi
RANDOM_SEED=$1
SCALE_FACTOR=$2
STREAM_COUNT=$3

DEBUG=1; export DEBUG

mkdir -p $STREAMS > /dev/null 2>&1
mkdir -p $QUERIES > /dev/null 2>&1

\rm -f $QUERIES/*.sql
\rm -f $STREAMS/stream*.sql
\rm -f $STREAMS/stream_seeds

for i in `seq 0 $STREAM_COUNT`
do
	SEED=`expr $RANDOM_SEED + $i`;
	qgen -r $SEED  -p $i -c -i $QUERYGEN/begin_debug.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR \
			-l $QUERYGEN/opts.$i > $STREAMS/stream$i.sql

	echo "stream$i $SEED">>$STREAMS/stream_seeds
        mv -f $QUERYGEN/opts.$i $RESULTS
done

qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin_debug.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR 1 > $QUERIES/q1.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin_debug.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR 2 > $QUERIES/q2.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin_debug.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR 3 > $QUERIES/q3.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin_debug.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR 4 > $QUERIES/q4.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin_debug.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR 5 > $QUERIES/q5.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin_debug.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR 6 > $QUERIES/q6.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin_debug.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR 7 > $QUERIES/q7.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin_debug.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR  8 > $QUERIES/q8.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin_debug.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR 9 > $QUERIES/q9.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin_debug.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR 10 > $QUERIES/q10.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin_debug.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR 11 > $QUERIES/q11.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin_debug.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR 12 > $QUERIES/q12.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin_debug.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR 13 > $QUERIES/q13.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin_debug.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR 14 > $QUERIES/q14.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin_debug.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR 15 > $QUERIES/q15.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin_debug.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR 16 > $QUERIES/q16.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin_debug.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR 17 > $QUERIES/q17.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin_debug.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR 18 > $QUERIES/q18.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin_debug.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR 19 > $QUERIES/q19.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin_debug.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR 20 > $QUERIES/q20.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin_debug.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR  21 > $QUERIES/q21.sql 
qgen -r $RANDOM_SEED  -c -i $QUERYGEN/begin_debug.sql -t $QUERYGEN/end.sql -s $SCALE_FACTOR 22 > $QUERIES/q22.sql 

for i in `seq 1 $STREAM_COUNT`
do
        rm -f $TEMPFILES/temp
        cat $STREAMS/stream$i.sql|sed -e "s/^!!start_monitor/--!!start_monitor/g" \
                |sed -e "s/^!!end_monitor/--!!end_monitor/g">$TEMPFILES/temp
        mv $TEMPFILES/temp $STREAMS/stream$i.sql
done




