#Generate interfaces file
if [ -z "$HOSTNAME" ]
then
        HOSTNAME=`uname -n`
fi

USER_NAME=`whoami`

#Port Number shouldn't be in use already. Use last 4 digits of your phone number for uniqueness.
#Server name on the machine should be unique.

PORT_NUMBER=5788
TEST_ENGINE_NAME=test_${VERSION}_${USER_NAME}
TPCH_ENGINE_NAME=tpch_${VERSION}_${USER_NAME}

if [ $VERSION = 12_7 ]
then
	PASSWORD=SQL
	DATABASE_NAME=asiqdemo
	DATABASE_FILE=asiqdemo.db
else
	PASSWORD=sql
	DATABASE_NAME=iqdemo
	DATABASE_FILE=iqdemo.db
fi

if [ ! -f $CONFIG_DIR/interfaces ]
then
cat > $CONFIG_DIR/interfaces <<EOF
tpch_${VERSION}
        master tcp ether $HOSTNAME ${PORT_NUMBER}
        query tcp ether $HOSTNAME ${PORT_NUMBER}
EOF



fi

awk 'BEGIN {i=0;} { if(!match(substr($1,0,1),"#")) { print; } }' $CONFIG_DIR/cluster.cfg > /tmp/clusterconfig
while read line; do
	hostname=`echo "$line" | awk '{print $1}'`;
        nodename=`echo "$line" | awk '{print $2}'`;
        public_port=`echo "$line" | awk '{print $4}'`;

cat >> $CONFIG_DIR/interfaces <<EOF
tpch_${VERSION}_${nodename}
        master tcp ether ${hostname} ${public_port}
        query tcp ether ${hostname} ${public_port}
EOF
#ISQL_${nodename}="iqisql -UDBA -Psql -Stpch_${VERSION} -I ${CONFIG_DIR}/interfaces -w 500"; export ISQL_${nodename};
echo "ISQL_${nodename}=\"iqisql -UDBA -Psql -Stpch_${VERSION}_${nodename} -I ${CONFIG_DIR}/interfaces -w 500\"; export ISQL_${nodename};" > /tmp/_new_variable;
. /tmp/_new_variable
rm /tmp/_new_variable

echo "ISQL_${nodename}=\"iqisql -UDBA -Psql -Stpch_${VERSION}_${nodename} -I ${CONFIG_DIR}/interfaces -w 500\"; export ISQL_${nodename};" >> $TPCH_ROOT/bm_setup

cat >> $CONFIG_DIR/.odbc.ini << EOF
[tpch_${VERSION}_${nodename}]
Userid=DBA
Password=sql
EngineName=$nodename
DatabaseName=tpch
DatabaseFile=tpch.db
CommLinks=tcpip(host=$hostname;port=$public_port)
AutoStop=no
EOF

done < /tmp/clusterconfig
