#!/bin/bash
#Generate interfaces file
if [ -z "$HOSTNAME" ]
then
        HOSTNAME=`uname -n`
fi

USER_NAME=`whoami`

echo "gen_interfaces start"

#Port Number shouldn't be in use already. Use last 4 digits of your phone number for uniqueness.
#Server name on the machine should be unique.

PORT_NUMBER=5788
TEST_ENGINE_NAME=test_16_0_sybase
TPCH_ENGINE_NAME=tpch_w1

if [ $VERSION = 12_7 ]
then
	PASSWORD=SQL
	DATABASE_NAME=asiqdemo
	DATABASE_FILE=asiqdemo.db
else
	PASSWORD=sql
	DATABASE_NAME=iqdemo
	DATABASE_FILE=iqdemo.db
fi

if [ ! -f $CONFIG_DIR/interfaces ]
then
cat > $CONFIG_DIR/interfaces <<EOF
tpch_${VERSION}
        master tcp ether $HOSTNAME ${PORT_NUMBER}
        query tcp ether $HOSTNAME ${PORT_NUMBER}
EOF
fi

#Generate odbc.ini file using template odbc.ini_template
if [ ! -f $CONFIG_DIR/.odbc.ini ]
then
sed -e 's/HOSTNAME/'$HOSTNAME'/' $TEMPLATES/odbc.ini_template | \
	sed -e 's/PORT_NUMBER/'$PORT_NUMBER'/' | \
	sed -e 's/TEST_ENGINE_NAME/'$TEST_ENGINE_NAME'/' | \
	sed -e 's/TPCH_ENGINE_NAME/'$TPCH_ENGINE_NAME'/' | \
	sed -e 's/PASSWORD/'$PASSWORD'/' | \
	sed -e 's/DATABASE_NAME/'$DATABASE_NAME'/' | \
	sed -e 's/DATABASE_FILE/'$DATABASE_FILE'/' | \
	sed -e 's/VERSION/'$VERSION'/'			> $CONFIG_DIR/.odbc.ini
fi

#Generate tpch.cfg 
if [ ! -f $CONFIG_DIR/tpch.cfg ]
then
	sed -e 's/TPCH_ENGINE_NAME/'$TPCH_ENGINE_NAME'/' $TEMPLATES/tpch.cfg.sf_${SCALE_FACTOR}| \
		sed -e 's/PORT_NUMBER/'$PORT_NUMBER'/'			> $CONFIG_DIR/tpch.cfg
fi

#Generate test.cfg
#if [ ! -f $CONFIG_DIR/test.cfg ]
#then
#	sed -e 's/TEST_ENGINE_NAME/'$TEST_ENGINE_NAME'/' $TEMPLATES/test.cfg | \
#		sed -e 's/PORT_NUMBER/'$PORT_NUMBER'/'                  > $CONFIG_DIR/test.cfg
#fi

echo "gen_interfaces end"
