if [ -z "$2" ]
then
	echo 'Usage: gen_refresh.sh <STREAM_COUNT><LAST_STREAM>'
	exit 1
fi

STREAM_COUNT=$1
LAST_STREAM=$2

echo '-- THIS IS A GENERATED FILE.' >$GENERATED_FILES/update_refresh.sql 
echo '-- PLEASE CHANGE gen_update_refresh.sh FOR MODIFICATIONS' >>$GENERATED_FILES/update_refresh.sql

echo 'create variable c_path varchar(128);' >>$GENERATED_FILES/update_refresh.sql
echo 'create variable qstart timestamp;' >>$GENERATED_FILES/update_refresh.sql
echo 'create variable qstop timestamp;' >>$GENERATED_FILES/update_refresh.sql
echo 'create variable n_seconds numeric(16,5);' >>$GENERATED_FILES/update_refresh.sql

echo 'create variable lineitem_start bigint;' >>$GENERATED_FILES/update_refresh.sql
echo 'create variable lineitem_end bigint;' >>$GENERATED_FILES/update_refresh.sql
echo 'create variable lineitem_diff bigint;' >>$GENERATED_FILES/update_refresh.sql
echo 'create variable orders_start bigint;' >>$GENERATED_FILES/update_refresh.sql
echo 'create variable orders_end bigint;' >>$GENERATED_FILES/update_refresh.sql
echo 'create variable orders_diff bigint;' >>$GENERATED_FILES/update_refresh.sql

echo 'go' >>$GENERATED_FILES/update_refresh.sql
echo '' >>$GENERATED_FILES/update_refresh.sql

echo ''>>$GENERATED_FILES/update_refresh.sql
echo 'set qstart = now(*)' >>$GENERATED_FILES/update_refresh.sql
echo "set c_path='$DEV_DIR/data/'" >>$GENERATED_FILES/update_refresh.sql
echo 'select @@servername, db_name()'>>$GENERATED_FILES/update_refresh.sql
echo 'go' >>$GENERATED_FILES/update_refresh.sql

for i in `seq 1 $STREAM_COUNT`
{
	CURRENT_STREAM=`expr $LAST_STREAM + $i`

	echo ''>>$GENERATED_FILES/update_refresh.sql
	echo 'set lineitem_start=(select count(*) from lineitem)'>>$GENERATED_FILES/update_refresh.sql
        echo 'set orders_start=(select count(*) from orders)'>>$GENERATED_FILES/update_refresh.sql

        echo 'go'>>$GENERATED_FILES/update_refresh.sql
        
	echo "call tpch_rf1 (c_path,$CURRENT_STREAM)">>$GENERATED_FILES/update_refresh.sql
	echo 'go' >>$GENERATED_FILES/update_refresh.sql

	echo 'set lineitem_end=(select count(*) from lineitem)'>>$GENERATED_FILES/update_refresh.sql
        echo 'set orders_end=(select count(*) from orders)'>>$GENERATED_FILES/update_refresh.sql
	echo 'set lineitem_diff=lineitem_end-lineitem_start'>>$GENERATED_FILES/update_refresh.sql
	echo 'set orders_diff=orders_end-orders_start'>>$GENERATED_FILES/update_refresh.sql
	echo "select 'RF1 Inserted Lineitem records ',lineitem_diff">>$GENERATED_FILES/update_refresh.sql
        echo "select 'RF1 Inserted Orders records ',orders_diff">>$GENERATED_FILES/update_refresh.sql
        echo 'go'>>$GENERATED_FILES/update_refresh.sql

        echo 'commit' >>$GENERATED_FILES/update_refresh.sql
	echo 'go' >>$GENERATED_FILES/update_refresh.sql

        echo 'tpch_wait' >>$GENERATED_FILES/update_refresh.sql
	echo 'go' >>$GENERATED_FILES/update_refresh.sql

	echo ''>>$GENERATED_FILES/update_refresh.sql

        echo 'set lineitem_start=(select count(*) from lineitem)'>>$GENERATED_FILES/update_refresh.sql
        echo 'go' >>$GENERATED_FILES/update_refresh.sql
        echo "call tpch_rf2 (c_path,$CURRENT_STREAM)" >>$GENERATED_FILES/update_refresh.sql
	echo 'go' >>$GENERATED_FILES/update_refresh.sql

        echo 'set lineitem_end=(select count(*) from lineitem)'>>$GENERATED_FILES/update_refresh.sql
        echo 'set lineitem_diff=lineitem_start-lineitem_end'>>$GENERATED_FILES/update_refresh.sql
        echo "select 'RF2 Deleted Lineitem records ',lineitem_diff">>$GENERATED_FILES/update_refresh.sql
        echo 'go' >>$GENERATED_FILES/update_refresh.sql

        echo 'commit' >>$GENERATED_FILES/update_refresh.sql
	echo 'go' >>$GENERATED_FILES/update_refresh.sql

	echo 'tpch_wait' >>$GENERATED_FILES/update_refresh.sql
	echo 'go' >>$GENERATED_FILES/update_refresh.sql


	echo ''>>$GENERATED_FILES/update_refresh.sql
}

echo 'set qstop = now(*)' >>$GENERATED_FILES/update_refresh.sql
echo ''>>$GENERATED_FILES/update_refresh.sql

echo "select 'Refresh Stream START -- ,', dateformat (qstart, 'yyyy-mm-dd hh:nn:ss.sss')" >>$GENERATED_FILES/update_refresh.sql
echo "select 'Refresh Stream STOP -- ,', dateformat (qstop, 'yyyy-mm-dd hh:nn:ss.sss')" >>$GENERATED_FILES/update_refresh.sql
echo "SET n_seconds=cast(datediff(millisecond,qstart,qstop) AS numeric(16,5))/1000" >>$GENERATED_FILES/update_refresh.sql

echo "select 'Refresh Stream Elapsed time -- ',+cast(n_seconds AS varchar(20))+ ' seconds'" >>$GENERATED_FILES/update_refresh.sql
echo 'go' >>$GENERATED_FILES/update_refresh.sql


