#!/bin/bash
if [ -z "$2" ]
then
        echo "Plese supply starting & end_number of your refresh streams"
	echo "$0 <START_STREAM> <END_STREAM>"
else
     START_STREAM=$1
     END_STREAM=$2   
fi

echo "Generating the files"
#base tables.
rm $TEMPFILES/customer.temp  > /dev/null 2>&1
for i in `ls -1 $REFERENCE_DATA/customer.tbl.[0-9]*`
do
	pick_random_rows $i 10  $TEMPFILES/customer.temp
done


rm $TEMPFILES/part.temp  > /dev/null 2>&1
for i in `ls -1 $REFERENCE_DATA/part.tbl.[0-9]*`
do
	pick_random_rows $i 10  $TEMPFILES/part.temp
done

rm $TEMPFILES/partsupp.temp  > /dev/null 2>&1
for i in `ls -1 $REFERENCE_DATA/partsupp.tbl.[0-9]*`
do
	pick_random_rows $i 10  $TEMPFILES/partsupp.temp
done


rm $TEMPFILES/supplier.temp  > /dev/null 2>&1
for i in `ls -1 $REFERENCE_DATA/supplier.tbl.[0-9]*`
do
	pick_random_rows $i 10  $TEMPFILES/supplier.temp
done

rm $TEMPFILES/orders.temp  > /dev/null 2>&1
for i in `ls -1 $REFERENCE_DATA/orders.tbl.[0-9]*`
do
	pick_random_rows $i 10  $TEMPFILES/orders.temp
done

rm $TEMPFILES/lineitem.temp  > /dev/null 2>&1
for i in `ls -1 $REFERENCE_DATA/lineitem.tbl.[0-9]*`
do
	pick_random_rows $i 10  $TEMPFILES/lineitem.temp
done


#delete tables.
rm $TEMPFILES/delete.temp  > /dev/null 2>&1
for i in `seq 1 100`
do
	pick_random_rows	$REFERENCE_DATA/delete.u1.$i 10 $TEMPFILES/delete.temp
done

#insert tables
rm $TEMPFILES/lineitem_insert.temp  > /dev/null 2>&1
rm $TEMPFILES/orders_insert.temp  > /dev/null 2>&1
for i in `seq 1 100`
do
	pick_random_rows	$REFERENCE_DATA/lineitem.tbl.u1.$i 10 $TEMPFILES/lineitem_insert.temp
	pick_random_rows	$REFERENCE_DATA/orders.tbl.u1.$i   10 $TEMPFILES/orders_insert.temp
done

echo "creating & loading the tables"
dbisqlc -c "DSN=tpch_$VERSION" -q $SQL/drop_temp_tables_procedures.sql
dbisqlc -c "DSN=tpch_$VERSION" -q $SQL/create_temp_tables_procedures.sql
dbisqlc -c "DSN=tpch_$VERSION" -q $TPCH_ROOT/load/load_customer_ref_check.sql
dbisqlc -c "DSN=tpch_$VERSION" -q $TPCH_ROOT/load/load_part_ref_check.sql 
dbisqlc -c "DSN=tpch_$VERSION" -q $TPCH_ROOT/load/load_partsupp_ref_check.sql
dbisqlc -c "DSN=tpch_$VERSION" -q $TPCH_ROOT/load/load_supplier_ref_check.sql
dbisqlc -c "DSN=tpch_$VERSION" -q $TPCH_ROOT/load/load_orders_base_insert_ref_check.sql
dbisqlc -c "DSN=tpch_$VERSION" -q $TPCH_ROOT/load/load_lineitem_base_insert_ref_check.sql

rm $TEMPFILES/call_temp_table_load.sql  > /dev/null 2>&1
for i in `seq $START_STREAM $END_STREAM`
do
	echo "call tpch_load_delete_table(\"${DEV_DIR}/data/delete.${i}\");">>$TEMPFILES/call_temp_table_load.sql
done
echo "go">>$TEMPFILES/call_temp_table_load.sql
$ISQL -i $TEMPFILES/call_temp_table_load.sql -e >$RESULTS/temptable_load

rm -f $TEMPFILES/* > /dev/null 2>&1

