if [ -z "$1" ]
then
        echo 'Usage: run_refresh.sh <STREAM_COUNT> [ENABLE_MONITORING]'
        exit 1
fi

STREAM_COUNT=$1

if [ -z "$2" ]
then
       Enable_Monitoring=0
else
       Enable_Monitoring=$2
fi

CURRENTLY_RUNNING=refresh; export CURRENTLY_RUNNING

if [ $Enable_Monitoring -ne 0 ]
then
        start_monitor.sh
fi

##  Check running refresh functions is valid or not                 ##   
##  It is not allowed if NO_OF_TIMES_RFs_EXECUTED + STREAM_COUNT >  ##
##  MAX_TIMES RFs are allowed to execute before RELOAD              ##

MAX_STREAMS=`ls $DEV_DIR/data/lineitem.tbl.u* 2>/dev/null| wc -l`
LAST_STREAM=`cat $DEV_DIR/data/last_stream`
REMAINING_STREAMS=`expr $MAX_STREAMS - $LAST_STREAM`

if [ $STREAM_COUNT -gt $REMAINING_STREAMS ];
then
	echo "Please reload the data or generate more RF STREAMS as total Refresh STREAMS generated have exhausted."
	echo "Use instructions in README to generate additional RF STREAMS data using dbgen."
        exit 1
fi
gen_refresh.sh $STREAM_COUNT $LAST_STREAM

LAST_STREAM=`expr $LAST_STREAM + $STREAM_COUNT`
echo $LAST_STREAM >$DEV_DIR/data/last_stream

echo Running Refresh Streams
$ISQL -i $GENERATED_FILES/update_refresh.sql > $RESULTS/update_refresh.out 

echo Refresh streams execution completed. `date`
echo ""
  
if [ $Enable_Monitoring -ne 0 ]
then
        kill_stats.sh
fi

tpch_report.sh refresh $SCALE_FACTOR 1 0 0 refresh 0 $STREAM_COUNT > $RESULTS/refresh_report.out
