if [ -z "$2" ]
then
        echo 'Usage: throughtest.sh <SCOPE> <SCALE_FACTOR> [WITH_RF] [Enable_Monitoring] [STREAM_COUNT]'
        echo 'Allowed values for scope Report, Run, All'
        exit 1
fi

SCOPE=$1
SCALE_FACTOR=$2
if [ -z "$3" ]
then
	WITH_RF=1
else
	WITH_RF=$3
fi

if [ -z "$4" ]
then
       Enable_Monitoring=0
else
       Enable_Monitoring=$4
fi

if [ ! -z "$5" ]
then
	STREAM_COUNT=$5
fi

CURRENTLY_RUNNING=throughput; export CURRENTLY_RUNNING

if [ $Enable_Monitoring -ne 0 ]
then
	start_monitor.sh
fi

if [ $SCOPE = 'Run' -o $SCOPE = 'All' ];
then
	##  Check THROUGHPUT test is allowed or not.                        ##   
	##  It is allowed unconditionally if the run is wihtout RFs.        ##
	##  It is not allowed if NO_OF_TIMES_RFs_EXECUTED + STREAM_COUNT >  ##
	##  MAX_TIMES RFs are allowed to execute before RELOAD              ##

	if [ $WITH_RF -ne 0 ];
	then
		MAX_STREAMS=`ls $DEV_DIR/data/lineitem.tbl.u* 2>/dev/null|wc -l`
		LAST_STREAM=`cat $DEV_DIR/data/last_stream`
		REMAINING_STREAMS=`expr $MAX_STREAMS - $LAST_STREAM`
                echo max_streams_number=$MAX_STREAMS
                echo stream_count_number=$STREAM_COUNT
                echo last_stream_number=$LAST_STREAM
		if [ $STREAM_COUNT -gt $REMAINING_STREAMS ];
		then
			echo "Please reload the data or generate more RF STREAMS as total Refresh STREAMS generated have exhausted."
			echo "Use instructions in README to generate additional RF STREAMS data using dbgen."
			exit 1
		fi
		gen_update_throughput.sh $STREAM_COUNT $LAST_STREAM
	fi 


	echo "  "
	echo Start Throughput `date`
	echo "  "
	echo Running Query Streams
	for i in `seq 1 $STREAM_COUNT`
	do
		#let 'j = i - 1'
                eval isqltmp=\$ISQL_W$[ ${i} % 3]
                echo "$isqltmp -i $STREAMS/stream${i}.sql -e > $RESULTS/stream${i}.out"
		$isqltmp -i $STREAMS/stream${i}.sql -e > $RESULTS/stream${i}.out &
		export qspid${i}=$!
	done
	
	sleep 60
	if [ $WITH_RF -ne 0 ];
	then
		LAST_STREAM=`expr $LAST_STREAM + $STREAM_COUNT`
		echo $LAST_STREAM >$DEV_DIR/data/last_stream
		echo Running refresh streams
		$ISQL_W3 -i $GENERATED_FILES/update_throughput.sql > $RESULTS/update_throughput.out &
		rf0pid=$!

		# Wait for the refresh streams to complete.
		wait $rf0pid
	fi
	# Wait for the query streams to complete.
	for i in `seq 1 $STREAM_COUNT`
	do
		eval temp=\$qspid$i
		wait $temp
	done

	echo End Throughput test: `date`
	echo ""
fi

if [ $Enable_Monitoring -ne 0 ]
then
        kill_stats.sh
fi


if [ $SCOPE = 'Report' -o $SCOPE = 'All' ];
then
	tpch_report.sh throughput $SCALE_FACTOR $WITH_RF 0 0 tput $SEED $STREAM_COUNT > $RESULTS/throughput_report.out
fi

os=$(uname)
if [ $os = AIX ]
then
	echo "After completion of the Throughput Test" >> $RESULTS/sysunused
	echo "The following volume groups are currently online" >> $RESULTS/sysunused
	echo `date` >> $RESULTS/sysunused
	echo>> $RESULTS/sysunused
	lsvg -o >> $RESULTS/sysunused
fi
