set temporary option quoted_identifier = 'on';
sp_iqstatus;
select @@version;
sp_iqcheckoptions;
select * from sys.sysoption order by "option", "user_id" ;
select * from sysiqfile;
select * from sysfile;
-- Detail of DB Device
BEGIN
declare blocksizeX2 unsigned bigint;
select block_size into blocksizeX2 from SYSIQINFO;
select 'DEVLEVEL',dbspace_name as "DB Space Name", 
       segment_type as "DB Store",
       sysiqfile.file_name as "UNIX Device Name", 
--     block_count as "DB Blocks", 
       cast((block_count*blocksizeX2)/(1024.0*1024.0) as numeric(14,2)) as SizeMb
  from sysiqfile,
       sysfile
 where sysiqfile.file_id = sysfile.file_id
   and segment_type in ('Main','Temp')
order by segment_type;
END;
-- Summary DB Device Info
BEGIN
declare blocksizeX2 unsigned bigint;
select block_size into blocksizeX2 from SYSIQINFO;
select 'SUMLEVEL',segment_type as "DB Store",
--     sum(block_count) as "Total DB Blocks", 
       cast(sum((block_count*blocksizeX2)/(1024.0*1024.0)) as numeric(14,2)) as SizeMb
  from sysiqfile,
       sysfile
 where sysiqfile.file_id = sysfile.file_id
   and segment_type in ('Main','Temp')
group by segment_type;
END;
BEGIN
declare blocksizeX2 unsigned bigint;
select block_size into blocksizeX2 from SYSIQINFO;
-- Total
select 'DBLEVEL',
       cast(sum((block_count*blocksizeX2)/(1024.0*1024.0)) as numeric(14,2)) as SizeMb
  from sysiqfile,
       sysfile
 where sysiqfile.file_id = sysfile.file_id
   and segment_type in ('Main','Temp');
END;


