--Base tables

--customers_table difference
SELECT 'CHECKING CUSTOMERS BASE TABLE';
select * from customer_temp ct
where not exists 
	(select 1 from customer c where 
	c.c_custkey=ct.c_custkey 
	and c.c_name=ct.c_name
	and c.c_address=ct.c_address
	and c.c_nationkey=ct.c_nationkey
	and c.c_phone=ct.c_phone
	and c.c_acctbal=ct.c_acctbal
	and c.c_mktsegment=ct.c_mktsegment
	and c.c_comment=ct.c_comment
);



--supplier_table difference
SELECT 'CHECKING SUPPLIER BASE TABLE';
select * from supplier_temp st
where not exists 
	(select 1 from supplier s where 
	s.s_suppkey=st.s_suppkey
	and s.s_name=st.s_name
	and s.s_address=st.s_address
	and s.s_nationkey=st.s_nationkey
	and s.s_phone=st.s_phone
	and s.s_acctbal=st.s_acctbal
	and s.s_comment=st.s_comment
	);



--part_table difference
SELECT 'CHECKING PART BASE TABLE';
select * from part_temp pt
where not exists 
	(select 1 from part p where 
	p.p_partkey=pt.p_partkey
	and p.p_name=pt.p_name
	and p.p_mfgr=pt.p_mfgr
	and p.p_brand=pt.p_brand
	and p.p_type=pt.p_type
	and p.p_size=pt.p_size
	and p.p_container=pt.p_container
	and p.p_retailprice=pt.p_retailprice
	and p.p_comment=pt.p_comment
) ;


--part_supp_table difference
SELECT 'CHECKING PARTSUPP BASE TABLE';
select * from partsupp_temp pst
where not exists 
	(select 1 from partsupp ps where 
	ps.ps_partkey=pst.ps_partkey
	and ps.ps_suppkey=pst.ps_suppkey
	and ps.ps_availqty=pst.ps_availqty
	and ps.ps_supplycost=pst.ps_supplycost
	and ps.ps_comment=pst.ps_comment
);

--orders_table difference
SELECT 'CHECKING BASE ROWS and DELETED ROWS for ORDERS TABLE';
CREATE TABLE #orders_delete_table ( d_orderkey UNSIGNED BIGINT );

insert into #orders_delete_table(
select o_orderkey from orders_temp ot
where not exists 
	(select 1 from orders o where 
	o.o_orderkey=ot.o_orderkey
	and o.o_custkey=ot.o_custkey
	and o.o_orderstatus=ot.o_orderstatus
	and o.o_totalprice=ot.o_totalprice
	and o.o_orderdate=ot.o_orderdate
	and o.o_orderpriority=ot.o_orderpriority
	and o.o_clerk=ot.o_clerk
	and o.o_shippriority=ot.o_shippriority
	and o.o_comment=ot.o_comment
	));

select d_orderkey from #orders_delete_table 
where d_orderkey not in (select d_orderkey from delete_table  );

--lineitem_table difference
SELECT 'CHECKING BASE ROWS and DELETED ROWs for LINEITEM TABLE';
CREATE TABLE #lineitem_delete_table ( l_orderkey UNSIGNED BIGINT );

insert into #lineitem_delete_table(
select l_orderkey from lineitem_temp lt
where not exists 
	(select 1 from lineitem l where
	 l.l_orderkey=lt.l_orderkey
	 and l.l_partkey=lt.l_partkey
	 and l.l_suppkey=lt.l_suppkey
	 and l.l_linenumber=lt.l_linenumber
	 and l.l_quantity=lt.l_quantity
	 and l.l_extendedprice=lt.l_extendedprice
	 and l.l_discount=lt.l_discount
	 and l.l_tax=lt.l_tax
	 and l.l_returnflag=lt.l_returnflag
	 and l.l_linestatus=lt.l_linestatus
	 and l.l_shipdate=lt.l_shipdate
	 and l.l_commitdate=lt.l_commitdate
	 and l.l_receiptdate=lt.l_receiptdate
	 and l.l_shipinstruct=lt.l_shipinstruct
	 and l.l_shipmode=lt.l_shipmode
	 and l.l_comment=lt.l_comment	
	));

select l_orderkey from #lineitem_delete_table 
where l_orderkey not in (select d_orderkey from delete_table  );


-- Insert tables
SELECT 'CHECKING INSERTED ROWS in ORDERS TABLE';
select * from orders_insert ot
where not exists 
	(select 1 from orders o where 
	o.o_orderkey=ot.o_orderkey
	and o.o_custkey=ot.o_custkey
        and o.o_orderstatus=ot.o_orderstatus
        and o.o_totalprice=ot.o_totalprice
        and o.o_orderdate=ot.o_orderdate
        and o.o_orderpriority=ot.o_orderpriority
        and o.o_clerk=ot.o_clerk
        and o.o_shippriority=ot.o_shippriority
        and o.o_comment=ot.o_comment
	);


SELECT 'CHECKING INSERTED ROWS IN LINEITEM TABLE';
select * from lineitem_insert lt
where not exists 
	(select 1 from lineitem l where
	 l.l_orderkey=lt.l_orderkey
	 and l.l_partkey=lt.l_partkey
         and l.l_suppkey=lt.l_suppkey
         and l.l_linenumber=lt.l_linenumber
         and l.l_quantity=lt.l_quantity
         and l.l_extendedprice=lt.l_extendedprice
         and l.l_discount=lt.l_discount
         and l.l_tax=lt.l_tax
         and l.l_returnflag=lt.l_returnflag
         and l.l_linestatus=lt.l_linestatus
         and l.l_shipdate=lt.l_shipdate
         and l.l_commitdate=lt.l_commitdate
         and l.l_receiptdate=lt.l_receiptdate
         and l.l_shipinstruct=lt.l_shipinstruct
         and l.l_shipmode=lt.l_shipmode
         and l.l_comment=lt.l_comment
	);

--delete tables
SELECT 'CHECKING DELETED ROWS FROM ORDERS TABLE';
select * from delete_table d
where exists 
	(select 1 from orders o where 
	d.d_orderkey=o.o_orderkey
	);

SELECT 'CHECKING DELETED ROWS FROM LINEITEM TABLE';
select * from delete_table d
where exists 
	(select 1 from lineitem l where
	 l.l_orderkey=d.d_orderkey
	);

