
set temporary option on_error = 'continue';


set temporary option Allow_nulls_by_default='on';


CREATE TABLE supplier_temp
  (
    s_suppkey              unsigned int,
    s_name                 char(25),
    s_address              varchar(40),
    s_nationkey            unsigned int ,
    s_phone                char(15),
    s_acctbal              double precision,
    s_comment              varchar(101)
  );



CREATE TABLE part_temp
  (
    p_partkey              unsigned int,
    p_name                 varchar(55),
    p_mfgr                 char(25),
    p_brand                char(10),
    p_type                 varchar(25),
    p_size                 int,
    p_container            char(10),
    p_retailprice          double precision,
    p_comment              varchar(23)
  );



CREATE TABLE partsupp_temp
  (
    ps_partkey             unsigned int ,
    ps_suppkey             unsigned int ,
    ps_availqty            integer,
    ps_supplycost          double precision,
    ps_comment             varchar(199)
  );

CREATE TABLE customer_temp
  (
    c_custkey              unsigned int,
    c_name                 varchar(25),
    c_address              varchar(40),
    c_nationkey            unsigned int ,
    c_phone                char(15),
    c_acctbal              double precision,
    c_mktsegment           char(10),
    c_comment              varchar(117)
  );



CREATE TABLE orders_temp
  (
    o_orderkey             unsigned bigint,
    o_custkey              unsigned int ,
    o_orderstatus          char(1),
    o_totalprice           double precision,
    o_orderdate            date,
    o_orderpriority        char(15),
    o_clerk                char(15),
    o_shippriority         int,
    o_comment              varchar(79)
  )


CREATE TABLE orders_insert
  (
    o_orderkey             unsigned bigint,
    o_custkey              unsigned int ,
    o_orderstatus          char(1),
    o_totalprice           double precision,
    o_orderdate            date,
    o_orderpriority        char(15),
    o_clerk                char(15),
    o_shippriority         int,
    o_comment              varchar(79)
);

CREATE TABLE lineitem_temp
  (
    l_orderkey             unsigned bigint ,
    l_partkey              unsigned int,
    l_suppkey              unsigned int,
    l_linenumber           int,
    l_quantity             double precision,
    l_extendedprice        double precision,
    l_discount             double precision,
    l_tax                  double precision,
    l_returnflag           char(1),
    l_linestatus           char(1),
    l_shipdate             date,
    l_commitdate           date,
    l_receiptdate          date,
    l_shipinstruct         char(25),
    l_shipmode             char(10),
    l_comment              varchar(44)
  )

CREATE TABLE LINEITEM_insert
  (
    l_orderkey             unsigned bigint ,
    l_partkey              unsigned int,
    l_suppkey              unsigned int,
    l_linenumber           int,
    l_quantity             double precision,
    l_extendedprice        double precision,
    l_discount             double precision,
    l_tax                  double precision,
    l_returnflag           char(1),
    l_linestatus           char(1),
    l_shipdate             date,
    l_commitdate           date,
    l_receiptdate          date,
    l_shipinstruct         char(25),
    l_shipmode             char(10),
    l_comment              varchar(44)
  );
commit;
CREATE TABLE delete_table ( d_orderkey UNSIGNED BIGINT );


CREATE PROCEDURE DBA.tpch_load_delete_table (in file_name varchar(128))
ON exception resume
BEGIN
  DECLARE sql_cmd long varchar;
  DECLARE c_lf varchar(2);
  DECLARE cur_sqlstate CHAR(5);

  SET c_lf=char(10);
  SET sql_cmd='load table delete_table  (d_orderkey '+char(39)+'|'+char(39)+')'+c_lf;
  SET sql_cmd=sql_cmd+'from '+char(39)+file_name+char(39)+c_lf;
  SET sql_cmd=sql_cmd+'row delimited by '+char(39)+'\\x0a'+char(39)+c_lf;
  SET sql_cmd=sql_cmd+'quotes off '+c_lf;
  SET sql_cmd=sql_cmd+'escapes off; '+c_lf;
 
  EXECUTE IMMEDIATE with quotes on sql_cmd;
  SELECT SQLSTATE INTO cur_sqlstate;
  IF cur_sqlstate != '00000' THEN 
    ROLLBACK;
    SET sql_cmd='delete load failed for'+file_name;
    RAISERROR 23002 sql_cmd;
    RETURN(1);
  END IF;

  RETURN(0);
END;
