-- using 1020114712 as a seed to the RNG
create variable  qstart timestamp;
create variable  qstop timestamp;
create variable  sstart timestamp;
go
--added by Chris 2013.10.16 to enable query plan 
SET TEMPORARY OPTION Query_Plan_As_Html='On';
SET TEMPORARY OPTION Query_Plan_After_Run='On';
SET TEMPORARY OPTION Query_Timing='On';
SET TEMPORARY OPTION Query_Plan='On';
SET TEMPORARY OPTION Query_Detail='On';
SET TEMPORARY OPTION QUERY_PLAN_AS_HTML_DIRECTORY='/opt/tpch/plans';
SET TEMPORARY OPTION Dml_Options10='On';
go
--end added
set sstart = now(*)
select 'Stream START -- ,',dateformat (sstart,'yyyy-mm-dd hh:nn:ss.sss') 
go

 -- @(#)21.sql   Sybase IQ
-- Query 21 - Var_0 Rev_01 - Suppliers Who Kept Orders Waiting Query
 
set qstart = now(*)
go


-- Query21 Starts

select
        top 100 s_name,
        count(*) as numwait
from
        supplier,
        lineitem l1,
        orders,
        nation
where
        s_suppkey = l1.l_suppkey
        and o_orderkey = l1.l_orderkey
        and o_orderstatus = 'F'
        and l1.l_receiptdate > l1.l_commitdate
        and exists (
                select
                        *
                from
                        lineitem l2
                where
                        l2.l_orderkey = l1.l_orderkey
                        and l2.l_suppkey <> l1.l_suppkey
        )
        and not exists (
                select
                        *
                from
                        lineitem l3
                where
                        l3.l_orderkey = l1.l_orderkey
                        and l3.l_suppkey <> l1.l_suppkey
                        and l3.l_receiptdate > l3.l_commitdate
        )
        and s_nationkey = n_nationkey
        and n_name = 'MOZAMBIQUE'
group by
        s_name
order by
        numwait desc,
        s_name

go
-- Query Ends


commit transaction
go



set qstop = now(*)
go

select 'Stream 5 Query 21 START -- ,',dateformat (qstart,'yyyy-mm-dd hh;nn;ss.sss') 
select 'Stream 5 Query 21 STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh;nn;ss.sss')
go

select 'Elapsed time,q21,', datediff(millisecond,qstart,qstop)/(1000.0)
go
-- @(#)15.sql	Sybase IQ
-- Query 15 - Var_0 Rev_01 - Top Supplier Query

set qstart = now(*)
go

-- Query15 Starts

create view revenue5 (supplier_no, total_revenue) as
	select
		l_suppkey,
		sum(l_extendedprice * (1 - l_discount))
	from
		lineitem
	where
		l_shipdate >= '1993-10-01'
		and l_shipdate < dateadd(month,3,'1993-10-01')
	group by
		l_suppkey
go

select
	s_suppkey,
	s_name,
	s_address,
	s_phone,
	total_revenue
from
	supplier,
	revenue5
where
	s_suppkey = supplier_no
	and total_revenue = (
		select
			max(total_revenue)
		from
			revenue5
	)
order by
	s_suppkey

go

drop view revenue5
go
-- Query Ends

commit transaction
go



set qstop = now(*)
go

select 'Stream 5 Query 15 START -- ,',dateformat (qstart,'yyyy-mm-dd hh;nn;ss.sss') 
select 'Stream 5 Query 15 STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh;nn;ss.sss')
go

select 'Elapsed time,q15,', datediff(millisecond,qstart,qstop)/(1000.0)
go
-- @(#)4.sql	Sybase IQ
-- Query 04 - Var_0 Rev_01 - Order Priority Checking Query

set qstart = now(*)
go
-- Query04 Starts

select
	o_orderpriority,
	count(*) as order_count
from
	orders
where
	o_orderdate >= '1997-08-01'
	and o_orderdate < dateadd(month, 3, '1997-08-01')
	and exists (
		select *
		from
			lineitem
		where
			l_orderkey = o_orderkey
			and l_commitdate < l_receiptdate
	)
group by
	o_orderpriority
order by
	o_orderpriority
go
-- Query Ends

commit transaction
go



set qstop = now(*)
go

select 'Stream 5 Query 4 START -- ,',dateformat (qstart,'yyyy-mm-dd hh;nn;ss.sss') 
select 'Stream 5 Query 4 STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh;nn;ss.sss')
go

select 'Elapsed time,q4,', datediff(millisecond,qstart,qstop)/(1000.0)
go
-- @(#)6.sql	Sybase IQ
-- Query 06 - Var_0 Rev_01 - Forecasting Revenue Change Query

set qstart = now(*)
go
-- Query06 Starts

select
	sum(l_extendedprice * l_discount) as revenue
from
	lineitem
where
	l_shipdate >= '1993-01-01'
	and l_shipdate < dateadd(year, 1, '1993-01-01')
	and l_discount between 0.03 - 0.01 and 0.03 + 0.01
	and l_quantity < 24

go
-- Query Ends

commit transaction
go



set qstop = now(*)
go

select 'Stream 5 Query 6 START -- ,',dateformat (qstart,'yyyy-mm-dd hh;nn;ss.sss') 
select 'Stream 5 Query 6 STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh;nn;ss.sss')
go

select 'Elapsed time,q6,', datediff(millisecond,qstart,qstop)/(1000.0)
go
-- @(#)7.sql	Sybase IQ
-- Query 07 - Var_0 Rev_01 - Volume Shipping Query

set qstart = now(*)
go

-- Query07 Starts

select
	supp_nation,
	cust_nation,
	l_year,
	sum(volume) as revenue
from
	(
		select
			n1.n_name as supp_nation,
			n2.n_name as cust_nation,
			year(l_shipdate) as l_year,
			l_extendedprice * (1 - l_discount) as volume
		from
			supplier,
			lineitem,
			orders,
			customer,
			nation n1,
			nation n2
		where
			s_suppkey = l_suppkey
			and o_orderkey = l_orderkey
			and c_custkey = o_custkey
			and s_nationkey = n1.n_nationkey
			and c_nationkey = n2.n_nationkey
			and (
				(n1.n_name = 'CANADA' and n2.n_name = 'IRAN')
				or (n1.n_name = 'IRAN' and n2.n_name = 'CANADA')
			)
			and l_shipdate between '1995-01-01' and '1996-12-31'
	) as shipping
group by
	supp_nation,
	cust_nation,
	l_year
order by
	supp_nation,
	cust_nation,
	l_year

go
-- Query Ends


commit transaction
go



set qstop = now(*)
go

select 'Stream 5 Query 7 START -- ,',dateformat (qstart,'yyyy-mm-dd hh;nn;ss.sss')
select 'Stream 5 Query 7 STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh;nn;ss.sss')
go

select 'Elapsed time,q7,', datediff(millisecond,qstart,qstop)/(1000.0)
go
-- @(#)16.sql	Sybase IQ
-- Query 16 - Var_0 Rev_01 - Parts/Supplier Relationship Query

set qstart = now(*)
go

-- Query16 Starts


select
	p_brand,
	p_type,
	p_size,
	count(distinct ps_suppkey) as supplier_cnt
from
	partsupp,
	part
where
	p_partkey = ps_partkey
	and p_brand <> 'Brand#41'
	and p_type not like 'STANDARD BRUSHED%'
	and p_size in (44, 31, 35, 22, 1, 42, 15, 10)
	and ps_suppkey not in (
		select
			s_suppkey
		from
			supplier
		where
			s_comment like '%Customer%Complaints%'
	)
group by
	p_brand,
	p_type,
	p_size
order by
	supplier_cnt desc,
	p_brand,
	p_type,
	p_size

go
-- Query Ends

commit transaction
go



set qstop = now(*)
go

select 'Stream 5 Query 16 START -- ,',dateformat (qstart,'yyyy-mm-dd hh;nn;ss.sss') 
select 'Stream 5 Query 16 STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh;nn;ss.sss')
go

select 'Elapsed time,q16,', datediff(millisecond,qstart,qstop)/(1000.0)
go
-- @(#)19.sql	Sybase IQ
-- Query 19 - Var_0 Rev_01 - Discounted Revenue Query

set qstart = now(*)
go

-- Query19 Starts


select
	sum(l_extendedprice* (1 - l_discount)) as revenue
from
	lineitem,
	part
where
	(
		p_partkey = l_partkey
		and p_brand = 'Brand#53'
		and p_container in ('SM CASE', 'SM BOX', 'SM PACK', 'SM PKG')
		and l_quantity >= 2 and l_quantity <= 2 + 10
		and p_size between 1 and 5
		and l_shipmode in ('AIR', 'AIR REG')
		and l_shipinstruct = 'DELIVER IN PERSON'
	)
	or
	(
		p_partkey = l_partkey
		and p_brand = 'Brand#43'
		and p_container in ('MED BAG', 'MED BOX', 'MED PKG', 'MED PACK')
		and l_quantity >= 10 and l_quantity <= 10 + 10
		and p_size between 1 and 10
		and l_shipmode in ('AIR', 'AIR REG')
		and l_shipinstruct = 'DELIVER IN PERSON'
	)
	or
	(
		p_partkey = l_partkey
		and p_brand = 'Brand#55'
		and p_container in ('LG CASE', 'LG BOX', 'LG PACK', 'LG PKG')
		and l_quantity >= 29 and l_quantity <= 29 + 10
		and p_size between 1 and 15
		and l_shipmode in ('AIR', 'AIR REG')
		and l_shipinstruct = 'DELIVER IN PERSON'
	)

go
-- Query Ends


commit transaction
go



set qstop = now(*)
go

select 'Stream 5 Query 19 START -- ,',dateformat (qstart,'yyyy-mm-dd hh;nn;ss.sss') 
select 'Stream 5 Query 19 STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh;nn;ss.sss')
go

select 'Elapsed time,q19,', datediff(millisecond,qstart,qstop)/(1000.0)
go
-- @(#)18.sql	Sybase IQ
-- Query 18 - Var_0 Rev_01 - Large Volume Customer Query

set qstart = now(*)
go

-- Query18 Starts


select top 100
	c_name,
	c_custkey,
	o_orderkey,
	dateformat (o_orderdate,'yyyy-mm-dd'),
	o_totalprice,
	sum(l_quantity)
from
	customer,
	orders,
	lineitem
where
	o_orderkey in (
		select
			l_orderkey
		from
			lineitem
		group by
			l_orderkey having
				sum(l_quantity) > 312
	)
	and c_custkey = o_custkey
	and o_orderkey = l_orderkey
group by
	c_name,
	c_custkey,
	o_orderkey,
	o_orderdate,
	o_totalprice
order by
	o_totalprice desc,
	o_orderdate

go
-- Query Ends


commit transaction
go



set qstop = now(*)
go

select 'Stream 5 Query 18 START -- ,',dateformat (qstart,'yyyy-mm-dd hh;nn;ss.sss') 
select 'Stream 5 Query 18 STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh;nn;ss.sss')
go

select 'Elapsed time,q18,', datediff(millisecond,qstart,qstop)/(1000.0)
go
-- @(#)14.sql	Sybase IQ
-- Query 14 - Var_0 Rev_01 - Promotion Effect Query

set qstart = now(*)
go

-- Query14 Starts

select
	100.00 * sum(case
		when p_type like 'PROMO%'
			then l_extendedprice * (1 - l_discount)
		else 0
	end) / sum(l_extendedprice * (1 - l_discount)) as promo_revenue
from
	lineitem,
	part
where
	l_partkey = p_partkey
	and l_shipdate >= '1995-03-01'
	and l_shipdate < dateadd(month, 1, '1995-03-01')

go
-- Query Ends


commit transaction
go



set qstop = now(*)
go

select 'Stream 5 Query 14 START -- ,',dateformat (qstart,'yyyy-mm-dd hh;nn;ss.sss') 
select 'Stream 5 Query 14 STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh;nn;ss.sss')
go

select 'Elapsed time,q14,', datediff(millisecond,qstart,qstop)/(1000.0)
go
-- @(#)22.sql	Sybase IQ
-- Query 22 - Var_0 Rev_01 - Global Sales Opportunity Query

set qstart = now(*)
go

-- Query22 Starts

select
        cntrycode,
        count(*) as numcust,
        sum(c_acctbal) as totacctbal
from
        (
                select
                        substr(c_phone,1,2) as cntrycode,
                        c_acctbal
                from
                        customer
                where
                        substr(c_phone,1,2) in
                                ('20', '31', '30', '17', '15', '32', '18')
                        and c_acctbal > (
                                select
                                        avg(c_acctbal)
                                from
                                        customer
                                where
                                        c_acctbal > 0.00
                                        and substr(c_phone,1,2) in
                                                ('20', '31', '30', '17', '15', '32', '18')
                        )
                        and not exists (
                                select
                                        *
                                from
                                        orders
                                where
                                        o_custkey = c_custkey
                        )
        ) as custsale
group by
        cntrycode
order by
        cntrycode

go
-- Query Ends



commit transaction
go



set qstop = now(*)
go

select 'Stream 5 Query 22 START -- ,',dateformat (qstart,'yyyy-mm-dd hh;nn;ss.sss') 
select 'Stream 5 Query 22 STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh;nn;ss.sss')
go

select 'Elapsed time,q22,', datediff(millisecond,qstart,qstop)/(1000.0)
go
-- @(#)11.sql	Sybase IQ
-- Query 11 - Var_0 Rev_01 - Important Stock Identification Query

set qstart = now(*)
go

-- Query11 Starts


select
	ps_partkey,
	sum(ps_supplycost * ps_availqty) as value
from
	partsupp,
	supplier,
	nation
where
	ps_suppkey = s_suppkey
	and s_nationkey = n_nationkey
	and n_name = 'SAUDI ARABIA'
group by
	ps_partkey having
		sum(ps_supplycost * ps_availqty) > (
			select
				sum(ps_supplycost * ps_availqty) * 0.0001000000
			from
				partsupp,
				supplier,
				nation
			where
				ps_suppkey = s_suppkey
				and s_nationkey = n_nationkey
				and n_name = 'SAUDI ARABIA'
		)
order by
	value desc

go
-- Query Ends

commit transaction
go



set qstop = now(*)
go

select 'Stream 5 Query 11 START -- ,',dateformat (qstart,'yyyy-mm-dd hh;nn;ss.sss') 
select 'Stream 5 Query 11 STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh;nn;ss.sss')
go

select 'Elapsed time,q11,', datediff(millisecond,qstart,qstop)/(1000.0)
go
-- @(#)13.sql	Sybase IQ
-- Query 13 - Var_0 Rev_01 - Customer Distribution Query

set qstart = now(*)
go

-- Query13 Starts

select
	c_count,
	count(*) as custdist
from
	(
		select
			c_custkey,
			count(o_orderkey)
		from
			customer left outer join orders on
				c_custkey = o_custkey
				and o_comment not like '%unusual%requests%'
		group by
			c_custkey
	) as c_orders (c_custkey, c_count)
group by
	c_count
order by
	custdist desc,
	c_count desc

go
-- Query Ends

commit transaction
go



set qstop = now(*)
go

select 'Stream 5 Query 13 START -- ,',dateformat (qstart,'yyyy-mm-dd hh;nn;ss.sss') 
select 'Stream 5 Query 13 STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh;nn;ss.sss')
go

select 'Elapsed time,q13,', datediff(millisecond,qstart,qstop)/(1000.0)
go
-- @(#)3.sql	Sybase IQ
-- Query 03 - Var_0 Rev_01 - Shipping Priority Query

set qstart = now(*)
go

-- Query03 Starts

select top 10
	l_orderkey,
	sum(l_extendedprice * (1 - l_discount)) as revenue,
	dateformat (o_orderdate,'yyyy-mm-dd'),
	o_shippriority
from
	customer,
	orders,
	lineitem
where
	c_mktsegment = 'BUILDING'
	and c_custkey = o_custkey
	and l_orderkey = o_orderkey
	and o_orderdate < '1995-03-30'
	and l_shipdate > '1995-03-30'
group by
	l_orderkey,
	o_orderdate,
	o_shippriority
order by
	revenue desc,
	o_orderdate

go
-- Query Ends


commit transaction
go



set qstop = now(*)
go

select 'Stream 5 Query 3 START -- ,',dateformat (qstart,'yyyy-mm-dd hh;nn;ss.sss') 
select 'Stream 5 Query 3 STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh;nn;ss.sss')
go

select 'Elapsed time,q3,', datediff(millisecond,qstart,qstop)/(1000.0)
go
-- @(#)1.sql	Sybase IQ
-- Query 01 - Var_0 Rev_01 - Pricing Summary Report Query

set qstart = now(*)
go

-- Query01 Starts
select
	l_returnflag,
	l_linestatus,
	sum(l_quantity) as sum_qty,
	sum(l_extendedprice) as sum_base_price,
	sum(l_extendedprice * (1 - l_discount)) as sum_disc_price,
	sum(l_extendedprice * (1 - l_discount) * (1 + l_tax)) as sum_charge,
	avg(l_quantity) as avg_qty,
	avg(l_extendedprice) as avg_price,
	avg(l_discount) as avg_disc,
	count(*) as count_order
from
	lineitem
where
	l_shipdate <= dateadd(day, -112, '1998-12-01')
group by
	l_returnflag,
	l_linestatus
order by
	l_returnflag,
	l_linestatus

go
-- Query Ends
commit transaction
go


set qstop = now(*)
go

select 'Stream 5 Query 1 START -- ,',dateformat (qstart,'yyyy-mm-dd hh;nn;ss.sss') 
select 'Stream 5 Query 1 STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh;nn;ss.sss') 
go

select 'Elapsed time,q1,', datediff(millisecond,qstart,qstop)/(1000.0)
go
-- @(#)2.sql	Sybase IQ 
-- Query 02 - Var_0 Rev_01 - Minimum Cost Supplier Query

set qstart = now(*)
go

-- Query02 Starts

select top 100
	s_acctbal,
	s_name,
	n_name,
	p_partkey,
	p_mfgr,
	s_address,
	s_phone,
	s_comment
from
	part,
	supplier,
	partsupp,
	nation,
	region
where
	p_partkey = ps_partkey
	and s_suppkey = ps_suppkey
	and p_size = 32
	and p_type like '%TIN'
	and s_nationkey = n_nationkey
	and n_regionkey = r_regionkey
	and r_name = 'MIDDLE EAST'
	and ps_supplycost = (
		select
			min(ps_supplycost)
		from
			partsupp,
			supplier,
			nation,
			region
		where
			p_partkey = ps_partkey
			and s_suppkey = ps_suppkey
			and s_nationkey = n_nationkey
			and n_regionkey = r_regionkey
			and r_name = 'MIDDLE EAST'
	)
order by
	s_acctbal desc,
	n_name,
	s_name,
	p_partkey
go
-- Query Ends
commit transaction
go


set qstop = now(*)
go

select 'Stream 5 Query 2 START -- ,',dateformat (qstart,'yyyy-mm-dd hh;nn;ss.sss') 
select 'Stream 5 Query 2 STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh;nn;ss.sss')
go

select 'Elapsed time,q2,', datediff(millisecond,qstart,qstop)/(1000.0)
go
-- @(#)5.sql	Sybase IQ
-- Query 05 - Var_0 Rev_01 - Local Supplier Volume Query

set qstart = now(*)
go
-- Query05 Starts

select
	n_name,
	sum(l_extendedprice * (1 - l_discount)) as revenue
from
	customer,
	orders,
	lineitem,
	supplier,
	nation,
	region
where
	c_custkey = o_custkey
	and l_orderkey = o_orderkey
	and l_suppkey = s_suppkey
	and c_nationkey = s_nationkey
	and s_nationkey = n_nationkey
	and n_regionkey = r_regionkey
	and r_name = 'AMERICA'
	and o_orderdate >= '1993-01-01'
	and o_orderdate < dateadd(year, 1, '1993-01-01')
group by
	n_name
order by
	revenue desc

go
-- Query Ends

commit transaction
go



set qstop = now(*)
go

select 'Stream 5 Query 5 START -- ,',dateformat (qstart,'yyyy-mm-dd hh;nn;ss.sss') 
select 'Stream 5 Query 5 STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh;nn;ss.sss')
go

select 'Elapsed time,q5,', datediff(millisecond,qstart,qstop)/(1000.0)
go
-- @(#)8.sql	Sybase IQ
-- Query 08 - Var_0 Rev_01 - National Market Share Query

set qstart = now(*)
go


-- Query08 Starts

select
	o_year,
	sum(case
		when nation = 'IRAN' then volume
		else 0
	end) / sum(volume) as mkt_share
from
	(
		select
			year(o_orderdate) as o_year,
			l_extendedprice * (1 - l_discount) as volume,
			n2.n_name as nation
		from
			part,
			supplier,
			lineitem,
			orders,
			customer,
			nation n1,
			nation n2,
			region
		where
			p_partkey = l_partkey
			and s_suppkey = l_suppkey
			and l_orderkey = o_orderkey
			and o_custkey = c_custkey
			and c_nationkey = n1.n_nationkey
			and n1.n_regionkey = r_regionkey
			and r_name = 'MIDDLE EAST'
			and s_nationkey = n2.n_nationkey
			and o_orderdate between '1995-01-01' and '1996-12-31'
			and p_type = 'MEDIUM ANODIZED BRASS'
	) as all_nations
group by
	o_year
order by
	o_year

go
-- Query Ends


commit transaction
go



set qstop = now(*)
go

select 'Stream 5 Query 8 START -- ,',dateformat (qstart,'yyyy-mm-dd hh;nn;ss.sss')
select 'Stream 5 Query 8 STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh;nn;ss.sss')
go

select 'Elapsed time,q8,', datediff(millisecond,qstart,qstop)/(1000.0)
go
-- @(#)20.sql	Sybase IQ
-- Query 20 - Var_0 Rev_01 - TPC-D Potential Part Promotion Query

set qstart = now(*)
go

-- Query20 Starts

select
	s_name,
	s_address
from
	supplier,
	nation
where
	s_suppkey in (
		select
			ps_suppkey
		from
			partsupp
		where
			ps_partkey in (
				select
					p_partkey
				from
					part
				where
					p_name like 'navajo%'
			)
			and ps_availqty > (
				select
					0.5 * sum(l_quantity)
				from
					lineitem
				where
					l_partkey = ps_partkey
					and l_suppkey = ps_suppkey
					and l_shipdate >= '1996-01-01'
					and l_shipdate < dateadd(year,1,'1996-01-01')
			)
	)
	and s_nationkey = n_nationkey
	and n_name = 'IRAN'
order by
	s_name

go
-- Query Ends


commit transaction
go



set qstop = now(*)
go

select 'Stream 5 Query 20 START -- ,',dateformat (qstart,'yyyy-mm-dd hh;nn;ss.sss') 
select 'Stream 5 Query 20 STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh;nn;ss.sss')
go

select 'Elapsed time,q20,', datediff(millisecond,qstart,qstop)/(1000.0)
go
-- @(#)12.sql	Sybase IQ
-- Query 12 - Var_0 Rev_01 - Shipping Modes and Order Priority Query

set qstart = now(*)
go

-- Query12 Starts

select
	l_shipmode,
	sum(case
		when o_orderpriority = '1-URGENT'
			or o_orderpriority = '2-HIGH'
			then 1
		else 0
	end) as high_line_count,
	sum(case
		when o_orderpriority <> '1-URGENT'
			and o_orderpriority <> '2-HIGH'
			then 1
		else 0
	end) as low_line_count
from
	orders,
	lineitem
where
	o_orderkey = l_orderkey
	and l_shipmode in ('FOB', 'MAIL')
	and l_commitdate < l_receiptdate
	and l_shipdate < l_commitdate
	and l_receiptdate >= '1995-01-01'
	and l_receiptdate < dateadd(year, 1, '1995-01-01')
group by
	l_shipmode
order by
	l_shipmode

go
-- Query Ends

commit transaction
go



set qstop = now(*)
go

select 'Stream 5 Query 12 START -- ,',dateformat (qstart,'yyyy-mm-dd hh;nn;ss.sss') 
select 'Stream 5 Query 12 STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh;nn;ss.sss')
go

select 'Elapsed time,q12,', datediff(millisecond,qstart,qstop)/(1000.0)
go
-- @(#)17.sql Sybase IQ
-- Query 17 - Var_0 Rev_01 - Small-Quantity-Order Revenue Query

set qstart = now(*)
go

-- Query17 Starts

select
	sum(l_extendedprice) / 7.0 as avg_yearly
from
	lineitem,
	part
where
	p_partkey = l_partkey
	and p_brand = 'Brand#11'
	and p_container = 'WRAP JAR'
	and l_quantity < (
		select
			0.2 * avg(l_quantity)
		from
			lineitem
		where
			l_partkey = p_partkey
	)

go
-- Query Ends


commit transaction
go



set qstop = now(*)
go

select 'Stream 5 Query 17 START -- ,',dateformat (qstart,'yyyy-mm-dd hh;nn;ss.sss') 
select 'Stream 5 Query 17 STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh;nn;ss.sss')
go

select 'Elapsed time,q17,', datediff(millisecond,qstart,qstop)/(1000.0)
go
-- @(#)10.sql	Sybase IQ
-- Query 10 - Var_0 Rev_01 - Returned Item Reporting Query

set qstart = now(*)
go

-- Query10 Starts

select top 20
	c_custkey,
	c_name,
	sum(l_extendedprice * (1 - l_discount)) as revenue,
	c_acctbal,
	n_name,
	c_address,
	c_phone,
	c_comment
from
	customer,
	orders,
	lineitem,
	nation
where
	c_custkey = o_custkey
	and l_orderkey = o_orderkey
	and o_orderdate >= '1993-09-01'
	and o_orderdate < dateadd(month, 3, '1993-09-01')
	and l_returnflag = 'R'
	and c_nationkey = n_nationkey
group by
	c_custkey,
	c_name,
	c_acctbal,
	c_phone,
	n_name,
	c_address,
	c_comment
order by
	revenue desc

go
-- Query Ends


commit transaction
go



set qstop = now(*)
go

select 'Stream 5 Query 10 START -- ,',dateformat (qstart,'yyyy-mm-dd hh;nn;ss.sss') 
select 'Stream 5 Query 10 STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh;nn;ss.sss')
go

select 'Elapsed time,q10,', datediff(millisecond,qstart,qstop)/(1000.0)
go
-- @(#)9.sql	Sybase IQ
-- Query 09 - Var_0 Rev_01 - Product Type Profit Measure Query

set qstart = now(*)
go

-- Query09 Starts

select
	nation,
	o_year,
	sum(amount) as sum_profit
from
	(
		select
			n_name as nation,
			year(o_orderdate) as o_year,
			l_extendedprice * (1 - l_discount) - ps_supplycost * l_quantity as amount
		from
			part,
			supplier,
			lineitem,
			partsupp,
			orders,
			nation
		where
			s_suppkey = l_suppkey
			and ps_suppkey = l_suppkey
			and ps_partkey = l_partkey
			and p_partkey = l_partkey
			and o_orderkey = l_orderkey
			and s_nationkey = n_nationkey
			and p_name like '%goldenrod%'
	) as profit
group by
	nation,
	o_year
order by
	nation,
	o_year desc

go

-- Query Ends


commit transaction
go



set qstop = now(*)
go

select 'Stream 5 Query 9 START -- ,',dateformat (qstart,'yyyy-mm-dd hh;nn;ss.sss') 
select 'Stream 5 Query 9 STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh;nn;ss.sss')
go

select 'Elapsed time,q9,', datediff(millisecond,qstart,qstop)/(1000.0)
go
set qstop = now(*)
go

select 'Stream STOP -- ,', dateformat (qstop,'yyyy-mm-dd hh:nn:ss.sss')
go

select 'Stream Elapsed time,', datediff(millisecond,sstart,qstop)/(1000.0)
go

exit
go
